---
title: Getting Started
description: Starting pages for each area of the manual
published: true
date: 2023-06-28T08:25:44.106Z
tags: 
editor: markdown
dateCreated: 2020-01-06T01:37:14.971Z
---

## Getting started with Speeduino
The Speeduino hardware and software can be setup in many ways and so it can initially be daunting to understand requirements and configuration steps. 

Generally it is best to understand the [hardware requirements](/Hardware_requirements) first and ensure that your sensors are producing signals that speeduino can understand and control. Then decide the board version that works best with the target installation [(v0.3)](/boards/V03) or [(v0.4)](/boards/V04) or a PNP variant.  

The links below will help give an overview of each area, how it should be configured and how it relates to the overall setup. 

- [Hardware requirements](/Hardware_requirements) - What hardware you will need to have in order to work with Speeduino (Sensors, wiring, injectors, coils etc)
- Specific board information
  - [v0.3 board](/boards/V03)
  - [v0.4 board](/boards/V04)
  - [Miata/MX5 NA 89-95 PNP](/boards/MX5_PNP)
  - [Dropbear](/boards/dropbear)
  - [3rd Party](/3rd_party)
-   [Loading the Speeduino Firmware](/Installing_Firmware)
-   Working with Tuner Studio software
    -   [Connecting to Tuner Studio](/Connecting_to_TunerStudio)
    -   [Configuring a project in Tuner Studio](/Configuring_TunerStudio)