<img src="IMG_20151010_123440490_zpsqw2dla5a-sideways.jpg" title="IMG_20151010_123440490_zpsqw2dla5a-sideways.jpg" alt="IMG_20151010_123440490_zpsqw2dla5a-sideways.jpg" width="500" />

Overview
--------

The V0.1 board was the first hardware implementation and is not intended for general in car use. It does however drastically simplify testing on stationary engines.

Layout
------

The board is a 2 sided 'shield' that is approximately the same width as an Arduino Mega, but extends out at both ends. It has I/O for all the main sensors as well as 4 channels each of ignition and fuel.
<img src="https://raw.githubusercontent.com/noisymime/speeduino/master/reference/hardware/v0.1/kartduino%20v.1.png" style="width: 1000px;height: auto" />

Populating the board
--------------------

The following components are needed to fully populate the board:

-   R1, R2, R3, R5, R7, R7 = 10k Ohm resistors
-   R4, R6, R8, R9 = 1k Ohm resistors
-   D1-D4 = Schottky diode (Eg 1N5819)
-   C1-C4 = 100nF capacitors rated for at least 6V
-   Q1-Q4 = TO220 nChannel MOSFETs (Eg STP62NS04Z). Other appropriate MOSFETs will work and maybe substituted but these should have clamping &gt;30V and some protection built in.
-   U1 = Opto-isolator (Eg CNY17-3). May or may not be needed depending on the type of crank sensor you are using. If your sensor outputs 0-5V directly, this can be left out and the sensor connected directly to digital pin 2 on the arduino

Dev Notes
---------

The V0.1 board has several drawbacks and issues that are to be addressed for the next version. These include:

-   Lack of ground screw terminals. The board only has a single ground screw connector which must be shared by all sensors. This is less than ideal both physically and electrically.
-   The use of an opto-isolator for the crank sensor is of debatable value. Most suitable hall sensors will output 0-5V signals and I'm not sure it's worth the extra cost/space to support 0-12V+ sensors as well. This leads to the next issue:
-   No support for VR crank sensors. The next version of the board will either use a built in VR conditioner or will allow something such as \[the jbperf VR conditioner board\](http://jbperf.com/dual_VR/v2_1.html) to be plugged in if required
-   No bias resistors onboard for the 2 temperature inputs (CLT and IAT). In order to standardise the voltage divider circuit, these should both have a 2490 Ohm resistor
-   There is no fly back diode on the MOSFETs. Assumption for this board was that protected drivers would always be used, but the provision for a diode should be added for flexiblity.
