Overview
--------

The second speeduino shield board is intended to be much more usable and feature complete than the original v0.1 prototype. To this end, I expect it to have the following features:

-   4 fully protected High impedance injector channels (Each with a LED indicator)
-   4 ignition outputs (for driving igniters or logic level coils)
-   Inputs for CLT, IAT, O2 and TPS
-   Optional onboard MAP sensor
-   2 medium current generic PWM output (3A - Eg Idle control)
-   2 low current digital outputs (Max 40mA)
-   Battery voltage monitoring
-   2 speed sensing inputs (RPM and cam)

`   * Hall or optical input by default or;`
`   * Optional plug in board for VR sensors (Likely to be `[`http://jbperf.com/dual_VR/v2_1.html`](http://jbperf.com/dual_VR/v2_1.html)`)`

-   All I/O to be through screw terminals. Will look at doing an alternative version of the board with a connector if there is interest

Status
------

First batch of boards is currently in testing (Sep 2014)

Board layout
------------

A snapshot of the current state of the board is below. Note that this is a working snapshot of the board, so it may look quite messy at times.
[<img style="width: 500px;height: auto" src="https://raw.githubusercontent.com/noisymime/speeduino/master/reference/hardware/v0.2/speeduino-v0.2-board.png"/>](https://raw.githubusercontent.com/noisymime/speeduino/master/reference/hardware/v0.2/speeduino-v0.2-board.png)

Schematic
---------

As above, this is a working, in-progress snapshot of the current schematic. It may look messy at times.
[<img style="width: 1000px;height: auto" src="https://raw.githubusercontent.com/noisymime/speeduino/master/reference/hardware/v0.2/speeduino-v0.2-schematic.png" />](https://raw.githubusercontent.com/noisymime/speeduino/master/reference/hardware/v0.2/speeduino-v0.2-schematic.png)

Board Configuration
===================

The board can be configured in multiple ways depending on the hardware you use and way your setup is configured.

Optional Components
-------------------

If using a VR crank sensor, the board will require the addition of a VR conditioner. The board has been designed to work with the dual VR conditioner from JBPerf (http://www.jbperf.com/dual_VR/index.html) which will plug directly in. Other VR conditioners will also likely work, but have not been tested.

Jumper Configs
--------------

Depending on the type of crank and cam sensors you have, there are a number of jumpers that will need to be set. The jumpers that need setting are:

-   JP1 - This sets whether the Ignition outputs are 12v or 5v. Note that even if you set this to 12v you should \*\*NOT\*\* connect these directly to a high current coil. These outputs should only ever go to a logic level coil or an igniter
-   JP2 - Whether or not the RPM1 (Crank) input should be routed via the (Optional) VR conditioner. This should be set to VR when using either a VR sensor or a hall sensor that switches between 0v-12v
-   JP3 - Same as JP2, but for the RPM2 (Cam) input
-   JP4 - 10k pullup resistor for RPM1 input. Should be jumpered ('On') when a sensor is used that switches between ground and floating (Which is most hall effect sensors)
-   JP5 - Same as JP4, but for the RPM2 (Cam) input

To make this simpler, the most common sensor types and their required configurations are below:

| Crank Sensor              | Cam Sensor            | JP2  | JP3  | JP4 | JP5 |
|---------------------------|-----------------------|------|------|-----|-----|
| Floating Hall sensor
 (Ground and floating)      | -                     | Hall | Off  | On  | Off |
| VR Sensor                 | -                     | VR   | Off  | Off | Off |
| 0v-12v Hall Sensor
 (Requires VR Conditioner)  | -                     | VR   | Off  | Off | Off |
| Floating Hall sensor
 (Ground and floating)      | Floating Hall sensor
                             (Ground and floating)  | Hall | Hall | On  | On  |
| VR Sensor                 | Floating Hall sensor
                             (Ground and floating)  | VR   | Hall | Off | On  |

