---
title: Errors
description: 
published: true
date: 2020-04-08T02:07:46.754Z
tags: 
editor: undefined
dateCreated: 2020-01-06T01:53:56.025Z
---

Overview
--------

From the July 2016 firmware onwards there is an error handling system that provides feedback and 'limp home' type options in case an issue is detected. The system can manage up to 4 errors at any given time.

Viewing Errors
--------------

When an error is detected, the Error indicator within TunerStudio will activate

TBA

### Using Default Values

TBA

Error Numbers
-------------

| Error Number | Default Value | Description                                                                                                           |
|--------------|---------------|-----------------------------------------------------------------------------------------------------------------------|
| 0            | N/A           | No errors                                                                                                             |
| 1            | N/A           | Unknown error. This should typically not occur, but indicates that an error was detected, but could not be identified |
| 2            | 40C           | Inlet Air Temperature (IAT) sensor is shorted to 5v                                                                   |
| 3            | 40C           | Inlet Air Temperature (IAT) sensor is shorted to ground                                                               |
| 4            | 40C           | Coolant (CLT) sensor is shorted to 5v                                                                                 |
| 5            | 40C           | Coolant (CLT) sensor is shorted to ground                                                                             |
| 6            | 14.7          | O2 sensor is shorted to 5v                                                                                            |
| 7            | 14.7          | O2 sensor is shorted to ground                                                                                        |
| 8            | 50%           | Throttle Position Sensor (TPS) is shorted to 5v                                                                       |
| 9            | 50%           | Throttle Position Sensor (TPS) is shorted to ground                                                                   |
| 10           | 13v           | Battery input above 20v                                                                                               |
| 11           | 13v           | Battery input below 5v                                                                                                |
| 12           | 240kPa        | MAP sensor shorted to 5v                                                                                              |
| 13           | 80kPa         | MAP Sensor shorted to ground                                                                                          |
| 14           |               | Not currently in use                                                                                                  |
| 15           |               | Not currently in use                                                                                                  |
| 16           |               | Not currently in use                                                                                                  |
| 17           |               | Not currently in use                                                                                                  |
| 18           |               | Not currently in use                                                                                                  |
| 19           |               | Not currently in use                                                                                                  |
| 20           |               | Not currently in use                                                                                                  |
| 21           |               | Not currently in use                                                                                                  |
| 22           |               | Not currently in use                                                                                                  |
| 23           |               | Not currently in use                                                                                                  |
| 24           |               | Not currently in use                                                                                                  |
| 25           |               | Not currently in use                                                                                                  |
| 26           |               | Not currently in use                                                                                                  |
| 27           |               | Not currently in use                                                                                                  |
| 28           |               | Not currently in use                                                                                                  |
| 29           |               | Not currently in use                                                                                                  |
| 30           |               | Not currently in use                                                                                                  |
| 31           |               | Not currently in use                                                                                                  |
| 32           |               | Not currently in use                                                                                                  |
| 33           |               | Not currently in use                                                                                                  |
| 34           |               | Not currently in use                                                                                                  |
| 35           |               | Not currently in use                                                                                                  |
| 36           |               | Not currently in use                                                                                                  |
| 37           |               | Not currently in use                                                                                                  |
| 38           |               | Not currently in use                                                                                                  |
| 39           |               | Not currently in use                                                                                                  |
| 40           |               | Not currently in use                                                                                                  |
| 41           |               | Not currently in use                                                                                                  |
| 42           |               | Not currently in use                                                                                                  |
| 43           |               | Not currently in use                                                                                                  |
| 44           |               | Not currently in use                                                                                                  |
| 45           |               | Not currently in use                                                                                                  |
| 46           |               | Not currently in use                                                                                                  |
| 47           |               | Not currently in use                                                                                                  |
| 48           |               | Not currently in use                                                                                                  |
| 49           |               | Not currently in use                                                                                                  |
| 50           |               | Not currently in use                                                                                                  |
| 51           |               | Not currently in use                                                                                                  |
| 52           |               | Not currently in use                                                                                                  |
| 53           |               | Not currently in use                                                                                                  |
| 54           |               | Not currently in use                                                                                                  |
| 55           |               | Not currently in use                                                                                                  |
| 56           |               | Not currently in use                                                                                                  |
| 57           |               | Not currently in use                                                                                                  |
| 58           |               | Not currently in use                                                                                                  |
| 59           |               | Not currently in use                                                                                                  |
| 60           |               | Not currently in use                                                                                                  |
| 61           |               | Not currently in use                                                                                                  |
| 62           |               | Not currently in use                                                                                                  |
| 63           |               | Not currently in use                                                                                                  |
|              |               |                                                                                                                       |

