---
title: v0.3
description: V0.3
published: true
date: 2020-10-18T00:41:59.789Z
tags: 
editor: undefined
dateCreated: 2020-10-17T22:31:04.808Z
---

# Plaque V0.3
## Survol

La plaque v0.3 a été la première largement disponible avec le 'shield' Speeduino et est adapté pour plusieurs applications de 1 à 4 cylindres (injection et allumage) (excluant les moteurs a injection directe). Il possède des borniers à vis pour toutes les connexions ce qui permet de faire des tests rapidement pour le prototypage. 

## Caractéristiques de la plaque

La plaque v0.3 comporte les caractéristiques suivantes :

-   4 canaux d'injection 
-   4 sorties d'allumage 
-   Des entrées complètement protégées pour: CLT, IAT, TPS et O2
-   Un endroit pour installer le conditionneur VR (optionnel) des signaux d'entré du vilebrequin et de l'arbre à cames.
-   Un endroit pour installer le capteur MAP
-   4 sortie de courant médium de libre (Ex Pompe essence, ventilateur thermo, etc)
-   Toutes les entrées/sorties (E/S) sont sur des terminaux à vis
-   Une zone Proto avec entrée et sortie (E/S), SPI et des alimentations.

## Aspect physique

![v0_3_2_board_annotated.jpg](/img/boards/v0_3_2_board_annotated.jpg){.align-center width=450}

## Zone Proto

La zone proto peut être utilisée pour ajouter vos propres circuits sur le Speeduino si requis ou bien simplement comme point d'access pour diverses connexions. Les connexions qui ne sont pas connectées à la zone proto sont :

-   5v et 12v
-   Mise à la terre
-   Bornes SPI (MOSI, MISO, SCK et SS). Celles-ci peuvent aussi être utilisées pour des entrées et ou sorties digitales (E/S) (Bornes Arduino 50-53)
-   3 entrées génériques analogues  (13-15)

![v0_3_2_proto_annotated.jpg](/img/boards/v0_3_2_proto_annotated.jpg){.align-center width=460}

## Assemblage de la plaque

Vous référer à [révisions des plaques](Board_revisions "wikilink") pour un lien de la fiche de matériel (BOM) pour votre versions spécifique.

L'assemblage de la plaque complète est relativement simple grace aux points de montage identifiées sur le plaque directement. Malgré que l'ordre d'installation n'est pas important il est recommandé de suivre ce qui suit pour plus de simplicité:

1. TOUTES les résistances
2. TOUTES les diodes (Incluant les LEDS)
3. TOUS les condensateurs
   * Prendre note que les condensateurs C14 et C16 sont polarisés, ce qui veut dire qu'ils doivent être installés de la bonne façon. Les condensateurs devraient être marqués avec le signe + (positif)sur un des deux cotés. Sur la plaque, le coté positif est indiqué par une ligne sur le signe du condensateur.
   * ![capacitor_orientation.png](/img/hardware/capacitor_orientation.png){.align-center width=180}

  Bonne orientation des condensateurs
4. TOUTES les bornes des ponts (jumpers) (JP\*)
5. Bornes Arduino:
  * Méthode Suggérée: Couper le bornier à la longueur nécessaire et l'insérer de le Arduino Mega. Placer la plaque Speeduino sur le dessus des bornes et souder en place.
   * Notez que ce ne sont pas toutes les bornes doubles qui ont besoin d'être soudées. Les bornes aux numéros impairs (Ex D23, D25 .. DD53) n'ont pas besoin de bornes.(il n'y a aucun dommage qui sera causé si elles sont soudées par contre...)
6. Bornier des circuits imprimés
7. Capteur MAP (si utilisé)
   * **NOTE:** TOUTES les versions pré-assemblées ont le trou du capteur vers le haut.
8. TOUS les borniers à vis
9. TOUS les MOSFETs
10. Régulateur de voltage 

### Vidéo d'instruction de montage

<center>
<iframe width="560" height="315" src="https://www.youtube.com/embed/IjKlmIi_Dug" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</center>

Configuration de la plaque
-------------------

La plaque peut être configurée de multiples façons selon votre matériel et ou de votre configuration. 

### Sorties par défaut de la plaque

De multiples fonctions dans le Speeduino ont des sorties ajustables ou peuvent être mises aux valeurs par défaut. Ce qui suit sont le sorties par défaut de la version V0.3.

**Note:** *Ces sorties par défaut sont applicable aux versions de micrologiciel Jan 2017 et plus récentes*

| Fonction                    | Sorties de la plaque             | Borne Arduino  |
|-----------------------------|--------------------------|-------------|
| Boost control               | Bornier à vis S2       | 7           |
| VVT                         | Bornier à vis  S1       | 6           |
| Ralenti 1                      | Bornier à vis IDLE    | 5           |
| Ralenti 2 (Valves ralenti à 3 fils) | Zone Proto (no. 53) | 53          |
| Pompe essence                   | bornier à vis  FP       | 4           |
| Launch/Embrayage               | Zone Proto (no. 51) | 51          |

### Composantes optionnelles

Si vous utilisez un capteur vilebrequin de type VR, la plaque aura besoin d'avoir un conditionneur VR. La plaque a été conçue pour fonctionner avec le 'dual VR conditioner' de JBPerf (http://www.jbperf.com/dual_VR/index.html) qui se branchera directement. Ceux-ci sont en rupture de stock depuis un certain temps, mais ils peuvent être montés de toute pièces avec la liste de composantes étant donné que les instructions sont encore disponible. 

Il y  a aussi un  [plaque VR officielle](https://speeduino.com/shop/home/17-dual-vr-conditioner.html) qui peut être achetée à partir du 'speeduino shop' qui elle aussi se branche directement.

La plupart des partenaires revendeurs ont leur propre conditionneur avec certaines fonctionnalités tel que des leds pour indiquer si le signal est capturé. Il existe évidemment d'autres fournisseurs de conditionneurs, mais c'est impossible de tous les tester... donc à vous de valider...

#### SP721 protection de survoltage 

Peux ceux qui ont de la difficulté à obtenir le SP721 dans certaines versions, voir l'info sur la page:   [SP721 Diode Alternate](https://speeduino.com/wiki/index.php/SP721_Diode_Alternate).

### Configuration des ponts (jumpers)

Selon le type de capteur de vilebrequin et d'arbre à cames que vous possédez, il y a un nombre de ponts (jumpers) que vous devrez ajuster. Les ponts qui doivent être ajustés sont:

-   JP1 - Ceci choisit si les sortie pour allumage sont 12V ou 5V. Note: même si vous choisissez 12V, vous ne devez \*\*PAS\*\* brancher ceux-ci directement vers une bobine haute intensité. Ces sorties ne devraient qu'être brancher vers une entrée niveau logique ou à un module d'allumage. (igniter)
-   JP2 - Choisit si oui ou non l'entrée RPM1 (vilebrequin) devrait être envoyé vers le conditionneur VR (optionnel). Ceci devrait être VR si on utilise un capteur VR ou un capteur Hall qui varie entre 0v-12v.
-   JP3 - Tel que  JP2, mais pour l'entrée RPM2 (Arbre à cames)
-   JP4 - Résistance 1k 'pullup' pour l'entrée RPM1. Devrait être ponté ('avec jumper') quand le capteur utilisé passe de la mise à la terre vers une masse 'flottante' (Ce qui est vrai pour la plupart des capteurs Hall)
-   JP5 - Tel que JP4, mais pour l'entrée RPM2 (Arbre à came)

Pour faire simple, les capteurs les plus communs et leurs configurations sont indiqués ci-dessous:

| Capteur vilebrequin              | Capteur arbre à cames           | JP2  | JP3  | JP4 | JP5 |
|---------------------------|-----------------------|------|------|-----|-----|
| Capteur Hall                | -                     | Hall | Off  | On  | Off |
| Capteur VR                  | -                     | VR   | Off  | Off | Off |
| Capteur Hall 0v-12v  (Nécessite un conditionneur VR)  | -                     | VR   | Off  | Off | Off |
| Capteur Hall               | Capteur Hall flottant  | Hall | Hall | On  | On  |
| Capteur VR                 | Capteur Hall flottant  | VR   | Hall | Off | On  |

## Révisions des plaques

| Version | Changements                                                                                                     | BOM   (liste de matériel)                                                                                                           |
|---------|-------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------|
| V0.3.7  | Ajout du bornier bluetooth                                                                                      | [même que v0.3.6](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.3/BOMs/v0.3.6_bom.xlsx) |
| V0.3.6  | Ajout des condensateurs de filtration pour les capteurs du vilebrequin et d'arbre à cames.                                                               | [téléchargement](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.3/BOMs/v0.3.6_bom.xlsx)       |
| V0.3.5  | Ajout du canal d'entrée pour le flex fuel. Plusieurs amélioration de routage.                                             | [téléchargement](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.3/BOMs/v0.3.5_bom.xlsx)       |
| V0.3.4  | Nettoyage du routage et ajout de certains détails d'impression sur la plaque.                                                               | même que v0.3.3                                                                                                   |
| V0.3.3  | Replacement de la 'diode array' par SP721                                                                             | [téléchargement](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.3/BOMs/v0.3.3_bom.xlsx)       |
| V0.3.2  | Ajout de la zone proto. Enlever le bornier du circuit intégré (celui non utilisé)                       | [téléchargement](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.3/BOMs/v0.3.2_bom.xlsx)       |
| V0.3.1  | Déplacer le capteur MAP plus près du bord de la plaque. Routage plus robuste pour les sortie a haut courant (incluant les injecteurs) | [téléchargement](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.3/BOMs/v0.3.1_bom.xlsx)       |
| V0.3    | Version initiale                                                                                             | [téléchargement](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.3/BOMs/v0.3_bom.xlsx)         |

