---
title: V0.4
description: V0.4
published: true
date: 2020-10-18T02:07:52.636Z
tags: 
editor: undefined
dateCreated: 2020-10-17T20:11:06.605Z
---

# plaque V0.4 
## Survol

La plaque v0.4 est une plaque de test qui a été développée avec le but de reproduire les capacités de la plaque V0.3 mais avec les améliorations suivantes:

- Bas coût (à cause de son empreinte réduite mais aussi à cause de certains changement de composantes)
- Plus de compatibilité avec des boitiers disponible en magasin
- Type de moteur pas-à-pas pour le IAC (en option)
- Un seul connecteur de 40 bornes pour toutes les E/S (Excluant le 12v)
 
> **Note:** La plaque v0.4 n'est **PAS** conçue comme une remplacement du type V0.3! Les deux types ont été conçus avec de différents buts en tête. Le type v0.4 est conçue pour être intégré plus facilement avec le câblage existant, avec comme but la facilité d'interface du au connecteur de 40 bornes. A moins que vous compreniez l'interface de la plaque 40 bornes et que vous pensiez que c'est la meilleur option pour vous, la version V0.3 pourrait bel et bien être la meilleur option pour vous.
{.is-warning}


## Caractéristiques de la plaque

Le type V0.4 comprends les caractéristiques suivantes:

-   4 canaux d'injection
-   4 sorties d'allumage
-   Des canaux d'entrée totalement protégées pour: CLT, IAT, TPS and O2
-   Un endroit pour installer le conditionneur optionnel 'VR conditioner' pour les signaux vilebrequin et d'arbre à cames.
-   Un endroit pour installer le capteur MAP
-   Un endroit pour installer le module pas-à-pas DRV8825
-   4 sortie de courant moyen (ex., pompe essence, ventilateur thermo. , contrôleur de boost, VVT, etc)
-   5 sorties non peuplées optionnelles à faible courant dans la section "proto", incluant une sortie tachymètre (tach out)
-   Un simple connecteur de 40 bornes (IDC) qui inclus toutes les bornes requises à l'exception de l'alimentation 12v

## Disposition physique

Notez qu'il y a quelques différences entre les révisions existantes, par contre l'étiquetage du bornier à 40 fils reste le même peu importe la version.

Note: Les bornes Injecteur ont une inscription 1/2 et 2/2 ceci étant pour que la dépose du câblage soi plus simple pour les mode semi-séquentiel et pour le mode 'batch'. Si l'application demande moins de 4 injecteurs, simplement utiliser n'importe quel borne (1/2 ou 2/2). Si l'application demande 5 injecteurs ou plus, il est recommandé d'utiliser les deux bornes lorsque disponible pour mieux distribuer le courant nécessaire aux injecteurs. Voir [câblage des injecteurs](/wiring/Injector_wiring) pour plus de details. 

![v0_4_board_annotated_1.jpg](/img/boards/v0_4_board_annotated_1.jpg){.align-left width=50%}


| Borne \# | Fonction                                 |
| ------ | ---------------------------------------- |
| 1      | Injecteur 1 - Pin 1/2                    |
| 2      | Injecteur 2 - Pin 1/2                    |
| 3      | Injecteur 3 - Pin 1/2                    |
| 4      | Injecteur 3 - Pin 2/2                    |
| 5      | Injecteur 4 - Pin 1/2                    |
| 6      | Injecteur 4 - Pin 2/2                    |
| 7      | Allumage 1                               |
| 8      | Allumage 4                               |
| 9      | Mise à la terre                          |
| 10     | Mise à la terre                          |
| 11     | Capteur MAP (0v-5v)                      |
| 12     | Mise à la terre                          |
| 13     | 5v                                       |
| 14     | Proto Zone 1 (0.4.4b+ Capteur Flex Fuel) |
| 15     | Proto Zone 2 (0.4.4b+ Ventilateur)       |
| 16     | Proto Zone 3 (0.4.4b+ Pompe essence)     |
| 17     | Proto Zone 4 (0.4.4b+ Tachymètre)        |
| 18     | Proto Zone 5 (0.4.4b+ Embrayage)         |
| 19     | Capteur liquide refroidissement (CLT)    |
| 20     | Température entrée Air (IAT)             |
| 21     | O2 Capteur                               |
| 22     | Entrée TPS (papillon des gaz)            |
| 23     | Mise à la terre                          |
| 24     | Entrée d'arbre à came / VR2+             |
| 25     | Entrée Vilebrequin / VR1+                |
| 26     | VR2- (non utilisé pour capteur hall)     |
| 27     | VR1- (non utilisé pour capteur hall)     |
| 28     | 5v                                       |
| 29     | Ralenti pas à pas 2B                     |
| 30     | Ralenti pas à pas 2A                     |
| 31     | Ralenti pas à pas 1A                     |
| 32     | Ralenti pas à pas 1B                     |
| 33     | Allumage 3                               |
| 34     | Allumage 2                               |
| 35     | Boost                                    |
| 36     | Ralenti 2 (Pour usage avec valves ralenti 3 fils) |
| 37     | PWM ralenti                              |
| 38     | VVT                                      |
| 39     | Injecteur 2 - Pin 2/2                    |
| 40     | Injecteur 1 - Pin 2/2                    |

## Assemblage de la plaque 

Assemblage du plaque complete est virtuellement identique a celle V0.3 et reste relativement simple grace aux points de montage identifiées sur le plaque directement. Malgré que l'ordre d'installation n'est pas important il est recommandé de suivre ce qui suit pour plus de simplicité:

1. Toutes les résistances 
2. Toutes les  diodes (Incluant les LEDS)
3. Tous les condensateurs
  > Prenez note que les condensateurs C14 et C16 sont polarisés ce qui veux dire qu'ils doivent être installés dans le bon sens. Les condensateurs devrait être identifiés avec un signe + (positif) sur un des cotés. Sur la plaque, le coté positif est identifié par un ligne sur le symbol de condensateur.
{.is-warning}

![capacitor_orientation.png](/img/hardware/capacitor_orientation.png){.align-center width=180}

4. Tous les borner de pontage (jumper) (JP\*)
5. Les bornes Arduino :
    * **Méthode suggérée**: Coupez le bornier de la longueur requise et l'insérer dans le Arduino Mega. Placez la plaque au dessus des trous et du bornier pour effectuer la soudure.
    * Notez que tous les trous de la rangée double ne sont pas tous utilisés. Les bornes impaires (Ex D23, D25 .. DD53) n'ont pas besoin d'avoir de bornes (aucun dommage n'est fait si on les utilise quand même)
6.  Connecteur 40 bornes IDC 
7.  Bornier des circuits intégrés
8.  Tous les terminaux à vis
9.  Tous les MOSFETs
10. Le régulateur de courant
11. Le capteur MAP  (si utilisé)
  >  **NOTE:** Tous les plaques DIY ont le capteur MAP avec le trou sur le dessus. Les plaques pré assemblés vont habituellement avoir le trou vers le bas.
{.is-warning}


### Vidéo d'assemblage complet

Ce vidéo est pour la version V0.3 mais il est applicable pour la version V0.4 aussi.

<center>
<iframe width="560" height="315" src="https://www.youtube.com/embed/IjKlmIi_Dug" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</center>

## Configuration de la plaque

La plaque peut être configurée de multiple façons tout dépendant de l'application et des capteurs utilisés.

### Sorties par défauts de la plaque

De multiple fonctions dans le Speeduino ont des sorties ajustables ou peuvent être remises pour les sorties par défaut. Ce qui suit sont les sorties par défaut de la plaque V0.4, par contre toutes ces fonctions peuvent être réassignées pour d'autres bornes si nécessaire (Ex pour utiliser une sortie de haut courant)

| Fonction                    | Sortie plaque                      | Borne Arduino |
|-----------------------------|----------------------------------|-------------|
| Boost control               | IDC borne 35                       | 7           |
| VVT                         | IDC borne 38                       | 4           |
| Ralenti 1                      | IDC borne 37                       | 5           |
| Ralenti 2 (valves ralenti 3 fils) | IDC borne 36                       | 6           |
| Pompe essence                    | Proto zone (45) (0.4.4b+ IDC 16) | 45          |
| Ventilateur                         | Proto zone (47) (0.4.4b+ IDC 15) | 47          |
| Tacho                       | Proto zone (49) (0.4.4b+ IDC 17) | 49          |
| Launch / Embrayage             | Proto zone (51) (0.4.4b+ IDC 18) | 51          |

### Composantes optionnelles

Si vous utilisez un capteur vilebrequin de type VR, la plaque aura besoin d'avoir un conditionneur VR. La plaque a été conçue pour fonctionner avec le 'dual VR conditioner' de JBPerf (http://www.jbperf.com/dual_VR/index.html) qui se branchera directement. Ceux-ci sont en rupture de stock depuis un certain temps, mais ils peuvent être montés de toute pièces avec la liste de composantes étant donné que les instructions sont encore disponible. 

Il y  a aussi un  [plaque VR officielle](https://speeduino.com/shop/home/17-dual-vr-conditioner.html) qui peut être achetée à partir du 'speeduino shop' qui elle aussi se branche directement.

La plupart des partenaires revendeurs ont leur propre conditionneur avec certaines fonctionnalités tel que des leds pour indiquer si le signal est capturé. Il existe évidemment d'autres fournisseurs de conditionneurs, mais c'est impossible de tous les tester... donc à vous de valider...


#### SP721 Protection sur-voltage 

Pur ceux qui ont de la difficulté a se procurer le SP721 utilisé dans certaines versions, voir les infos sur la page [SP721 Diode Alternate](/wiring/SP721_Diode_Alternate).

### Configs de pontage (jumpers)

Selon le type de capteur de vilebrequin et d'arbre à cames que vous avez, ils y a certains ponts (jumpers) qui doivent être faits.

Certains capteurs VR peuvent envoyer un haut voltage AC sur la plaque Arduino. Si vous êtes incertains du type de capteur, faites l'identifications avant de le brancher sur la plaque. L'utilisation d'un capteur VR avec les 'jumpers' en position (JP2) et ou (JP3) peut causer des dommages au  microprocesseur. Danger!

Les ponts qui ont besoin d'être fait sont : 

-   JP1 - Ceci choisit si les sortie pour allumage sont 12V ou 5V. Note: même si vous choisissez 12V, vous ne devez \*\*PAS\*\* brancher ceux-ci directement vers une bobine haute intensité. Ces sorties ne devraient qu'être brancher vers une entrée niveau logique ou à un module d'allumage. (igniter)
-   JP2 - Choisit si oui ou non l'entrée RPM1 (vilebrequin) devrait être envoyé vers le conditionneur VR (optionnel). Ceci devrait être VR si on utilise un capteur VR ou un capteur Hall qui varie entre 0v-12v.
-   JP3 - Tel que  JP2, mais pour l'entrée RPM2 (Arbre à cames)
-   JP4 - Résistance 1k 'pullup' pour l'entrée RPM1. Devrait être ponté ('avec jumper') quand le capteur utilisé passe de la mise à la terre vers une masse 'flottante' (Ce qui est vrai pour la plupart des capteurs Hall)
-   JP5 - Tel que JP4, mais pour l'entrée RPM2 (Arbre à came) 

Pour que ce soit plus simple, les capteurs les plus courants et leur configuration requise sont ci-bas:

| Capteur vilebrequin              | Capteur d'arbre à cames            | JP2  | JP3  | JP4 | JP5 |
|---------------------------|-----------------------|------|------|-----|-----|
| capteur Hall               | -                     | Hall | Off  | On  | Off |
| capteur VR                | -                     | VR   | Off  | Off | Off |
|  capteur Hall               |  capteur Hall          | Hall | Hall | On  | On  |
|  capteur VR                 |  capteur Hall         | VR   | Hall | Off | On  |

### bornier 40 connecteurs

Vous pouvez souder les fils directement sur la plaque ou utiliser le bornier IDC (Insulation Displacement Contact). Le bornier 40 fils IDC est le connecteur qui était utilisé pendant plusieurs années dans les ordinateurs pour les lecteurs de disques. Un câble de plus grosses dimensions appelé DuPont cable est recommandé pour un usage long terme. Plus tard la vitesse de l'interface IDE/ATA a été augmenté ce qui a nécessité l'utilisation d'un cable à 80 fils. Ces câbles ne sont **PAS** compatible. Certaines connexions sont dédoublées et pontées ce qui fera apparaitre la fumée magique bleue.

##  Révisions plaques

| Version | Changements                                                                                                                                                                                                | BOM (liste du matériel)                                                                                                        |
|---------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------|
| V0.4.4b | Refonte complète fait totalement en 'surface mount' qui inclus certaines protections supplémentaires et certain 'drivers' supplémentaires. Elle est physiquement et électriquement compatible avec toutes les version V0.4. versions.                    | Non Requise                                                                                               |
| V0.4.4  | Modifiée pour l'assemblage automatique plus facile qui inclus certaines composantes 'surface mount' et un endroit pour poser le capteur de pression coté plat vers le haut. Interrupteur 'programmation / en fonction ajouté. Seulement vendus en plaquées pré-assemblées                 | Non Requise                                                                                              |
| V0.4.3  | Condensateurs de filtration ajoutés pour les entrées primaire et le secondaire de RPM. 'Voltage clamp' ajoutée pour l'entrée secondaire de RPM. Entrée Flex fuel ajoutée a la zone proto                                                      | [Téléchargement](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.4/BOMs/v0.4.3_bom.xlsx) |
| V0.4.2  | Nombre considérable d'améliorations coté routage. Zone proto plus 'propre'. 'Voltage clamp' ajoutée a l'entrée primaire RPM                                                                                        | [Téléchargement](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.4/BOMs/v0.4.2_bom.xlsx) |
| V0.4.1  | Ajout de la zone Proto. Remplacer le 'diode array' par SP721. Ajout d'une borne de sortie haut courant aux (J5).  Re-localisé la diode sur les circuits de puissance pour prévenir un feedback USB fournissant du 5v vers la rail 12v quand l'allumage est à off | Comme v0.4.2                                                                                             |
| V0.4    | Version initiale                                                                                                                                                                                         | [Téléchargement](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.4/BOMs/v0.4_bom.xlsx)   |

