---
title: ECU_Connectors
description: 
published: true
date: 2022-07-01T01:47:22.698Z
tags: 
editor: undefined
dateCreated: 2020-01-06T01:54:30.269Z
---

ECU Connector Reference
-----------------------

In an effort to simplify the design of new boards, this page is a reference of known ECU connector part numbers. Many times these can be difficult to find and are closely guarded by many wiring specialists who have significant price markups without supplying the manufacturer part numbers etc.

These part numbers are primarily for the ECU side. Where known, a loom side part number is also shown.

### Audi
| Model/s                      | Part Number | Alternative Part Numbers | Notes                                                                                                           | Image                                                                                                                                                                                    |
|------------------------------|-------------|--------------------------|-----------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| A3,A4,A6,Golf,Passat         | 8-1393476-0 |                          | 80-pin 2 plug connector. Found on many models starting from 1997 going to mid 2000's. Both gasoline and diesel. | [PDF](https://www.te.com/commerce/DocumentDelivery/DDEController?Action=showdoc&DocId=Customer+View+Model%7FCVM_8-1393476-0%7FB%7Fpdf%7F3D%7F3D_CVM_CVM_8-1393476-0_B.pdf%7F8-1393476-0)        |
| Golf mk3, Passat B4, Corrado | 963356-1    |                          | 1st gen VR6 type engines (both coilpack/distributor type)                                                       | [PDF](https://www.te.com/commerce/DocumentDelivery/DDEController?Action=showdoc&DocId=Customer+View+Model%7FCVM_963356-1%7FD%7Fpdf%7F3D%7F3D_CVM_CVM_963356-1_D_c-963356-1-d-3d.pdf%7F963356-1) |

### BMW
| Model/s                   | Part Number | Alternative Part Numbers | Notes                                                                                     | Image                                                                                                                                          |
|---------------------------|-------------|--------------------------|-------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------|
| M54/M52tu/M62tu           | 967-288     |                          | 134 pins, 5 plug construction        | [PDF](https://www.mouser.fi/ProductDetail/571-7-967288-1)              |

### DSM / Mitsubishi

| Model/s                   | Part Number | Alternative Part Numbers | Notes                                                                                     | Image                                                                                                                                          |
|---------------------------|-------------|--------------------------|-------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------|
| DSM 420a / 2G / Neon          | 178780-1     | Loom side: 917975-7 (12P), 917981-7 (16P), 917989-7 (22P), 917992-7 (26P)                         | 76 pin, 4 plug construction        | [PDF](https://www.te.com/commerce/DocumentDelivery/DDEController?Action=showdoc&DocId=Customer+Drawing%7F178780%7FP9%7Fpdf%7FJapanese%7FJPN_CD_178780_P9.pdf%7F178780-1)              |
| DSM 1G (4G63)          | 172319-1      |                          | 52 pin, 3 plug construction        | [PDF](https://www.te.com/commerce/DocumentDelivery/DDEController?Action=showdoc&DocId=Customer+Drawing%7F172319%7FK5%7Fpdf%7FJapanese%7FJPN_CD_172319_K5.pdf%7F172319-1)              |

### Mazda

| Model/s                   | Part Number | Alternative Part Numbers | Notes                                                                                     | Image                                                                                                                                          |
|---------------------------|-------------|--------------------------|-------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------|
| NA Miata/MX5              | 174917-6    |                          | 2 plug 48 pin connector that covers most of the early NA models (Up to around '94)        | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=174917&DocType=Customer+Drawing&DocLang=JP)              |
| NB(A) Miata/MX5 ('98-'01) | 174518-7    |                          | 3 plug 64 pin connector that covers all NB models up to '01 and some of the later NA ECUs | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=174518&DocType=Customer+Drawing&DocLang=Japanese)        |
| NB(B) Miata/MX5 ('01-'05) | 1123038-2   | 353830-5                 | 3 plug 72 pin connector that covers all facelift NB(B) models from '01 onwards            | [3D-PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=CVM_1123038-2&DocType=Customer+View+Model&DocLang=3D) |

### Nissan

| Model/s                         | Part Number   | Alternative Part Numbers                 | Make | Notes                                                                     | Image                                                                                                                                                                                                                                                                          |
|---------------------------------|---------------|------------------------------------------|------|---------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Unknown                         | 917940 (ECU)  | 917937 (Loom side)                       | AMP  | 120 pin 'Impul-Mate' assembly                                             |                                                                                                                                                                                                                                                                                |
| Skyline RB25 (NEO)              | 178079 (ECU)  | 178073 (Loom side)                       | AMP  | 104 pin 'Impul-Mate' assembly. Also used with 5 at the front (Eg 5178079) |                                                                                                                                                                                                                                                                                |
| Unknown                         | 178078 (ECU)  | 178080 (Loom side)                       | AMP  | 88 pin 'Impul-Mate' assembly. Also used with 5 at the front (Eg 5178078)  |                                                                                                                                                                                                                                                                                |
| 300ZX<br>Skyline R32,R33,R34 (Excl NEO)<br/>Silvia S13(CA18),S14(Zenki)<br/>180SX<br/>Infinity Q45                     | 5174385 (ECU) | 174385 (Older prt \#) 177700 (Loom side) | AMP  | 76 pin 'Impul-Mate' assembly                                              | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=174385&DocType=Customer+Drawing&DocLang=Japanese)                                                 |
| Silvia S13(SR20),S14(Kouki),S15 | 174836 (ECU)  | 177699 (Loom)                            | AMP  | 64 pin 'Impul-Mate' assembly                                              | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=174836&DocType=Customer+Drawing&DocLang=Japanese) [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=177699&DocType=Customer+Drawing&DocLang=English) |
| Unknown                         | 174831 (ECU)  | 177698 (Loom)                            | AMP  | 48 pin 'Impul-Mate' assembly                                              |                                                                                                                                                                                                                                                                                |

### Subaru

| Model/s     | Part Number                   | Alternative Part Numbers | Make | Notes                                                                       | Image                                                                                                                                  |
|-------------|-------------------------------|--------------------------|------|-----------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------|
| Most 99-00  | 1-353222-6 (ECU side)         |                          | TE   | Subarus only use 96 of the 126 pins. The 3rd block of pins is not populated | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=353222&DocType=Customer+Drawing&DocLang=English) |
| JECS 93 pin | MX7-93PL-C4 (ECU side)<br/>Loom side (3 plugs):<br/>35 pins connector: MX7-A-35SC<br/>28 pins connector: MX7-A-28SC<br/>30 pins connector: MX7-A-30SC   |                          | JAE  | 3 rows of pins. Used on WRX models (maybe others) up to 1999.               | [1](https://www.mouser.com/ds/2/206/J031431-1134923.pdf)                                                                               |

### Toyota

| Model/s      | Part Number | Alternative Part Numbers | Make | Notes               | Image                                                                                                                                   |
|--------------|-------------|--------------------------|------|---------------------|-----------------------------------------------------------------------------------------------------------------------------------------|
| MK3 Supra ('87-'88)<br/>Celica ST165   | 172319-7    |                          | AMP  | 52-pin, 3 plug ECU  |  |
| MK3 Supra ('89+)   | 178780-1    |                          | AMP  | 76-pin, 4 plug ECU  | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=178780&DocType=Customer+Drawing&DocLang=Japanese) |
| 3S-GT MR2    | 174518-7    |                          | AMP  | 64-pin, 3 plug ECU  | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=174518&DocType=Customer+Drawing&DocLang=Japanese) |
| 4efte GT<br/>2e-fe<br/>4e-fe    | 175446-6    |                          | AMP  | 42-pin, 2 plug ECU  |                                                                                                                                         |
| 4efte Glanza | 175448-6    |                          | AMP  | 54-pin, 3 plug ECU  |                                                                                                                                         |
| 1MZFE Camry  | 178203      |                          | AMP  | 100-pin, 4 plug ECU | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=178203&DocType=Customer+Drawing&DocLang=Japanese) |
| 1MZFE Camry  | 8-5353015-1      |   353015          | TE/AMP  | 122-pin, 5 plug ECU for OBD II | [PDF](https://www.mouser.com/datasheet/2/418/8/JPN_CD_353015_K-2492104.pdf) |
