---
title: Glossary
description: A list of terms and abbreviations used through out the Speeduino community and beyond.
published: true
date: 2020-08-05T04:52:16.342Z
tags: 
editor: undefined
dateCreated: 2020-08-05T03:10:32.896Z
---

**accel** - acceleration or accelerator.
**ADC** - "analog to digital converter" any circuit or micro chip that converts an analog signal to a number which is understood by a microprocessor and/or microcontroller.
**AE** - "acceleration enrichment" fuel enrichment during quick openings of the throttle.
**afterburn** - combustion in the exhaust.
**ASE** - "after start enrichment" an engine mode where fuel is enriched right after start up.
**asm** - assembly language or a file written in that type of language.
**assembly** - a programming language that uses instructions that are microprocessor and/or microcontroller specific.  Also known as "bare metal" programming.
**ATDC** - "after top dead center" anglar displacement of a crankshaft measured in degrees from where an attached piston("number one" assumed) has moved away from it's highest point of travel.
**Australia** - a country/continant southwest of the Pacific Ocean, east of the Indian Ocean, south of the Equator, and north of Antartica.
**Austria** - not Australia.
**backfire** - combustion in the intake.
**base map** - 2 or 3 dimensional table that comes with a base tune.
**base tune** - a rough tune made by the firmware developer as a starting point before vehicle specific tuning is done.
**bat** - the same as batt.
**batt** - vehicle battery, it's voltage, or specifically 12 volts.
**BDC** - "bottom dead center" a point which piston travel is at it's lowest. It can be referenced with any piston but usally "number one" piston is assumed. Many engines have more than one piston reach that point and/or top dead center simultanously.
**BHP** - "brake horsepower" horsepower that has been trationally measured with a dynometer brake.
**bottom end** - big end of connecting rod or part of the engine that includes the crank case and crankshaft. Most of the time it includes the cylinder block, pistons, and connecting rods.
**BTDC** - "before top dead center" anglar displacement of a crankshaft measured in degrees where an attached piston("number one" assumed) is moving toward it's highest point of travel.
**C** - a procedure orientated programming language created in 1972 by Dennis Ritchie.  The Speeduino firmware is written in the GNU C implementation yet compiled by a C++ compiler.
**C++** - an objectual programming language created in 1985 by Bjarne Stroustrup.  Compilers for this language also compile C with very few, if any, changes. This is the most common language for Arduino and it's libraries.
**CHT** - "cylinder head temperature" a sensor that measures the temperature nearest to the combustion chamber.  This measurment takes the place of a coolant temperature sensor on air cooled engines.
**charge** - state of a battery, fundemental component of electricity(elementry charge), expolsive charge, or a parcel of air/fuel mixture.
**Clerk cycle** - full engine cycle of 2 stroke engines. Named after Dugald Clerk. Also synonymous if at least similar to a "Joseph Day" cycle.
**CLT** - "coolant temperature" a thermistor type sensor that measures the coolant temperature of an engine.
**cycle** - this could either refer to a revolution(as in revolutions per minute), a piston stroke, or a full engine cycle(i.e. Otto cycle, Diesel cycle, and/or Clerk cycle). Full engine cycle is implied with Speeduino.
**DFCO** - "deceleration fuel cut off" leaning of fuel during quick closings of the throttle.
**EGT** - "exhaust gas temperature" a sensor that measures the temperature of the gases that leave the exhaust valve of an engine.
**engine** - self powered motor or a power plant.
**fork** - a faction or spinoff from a main software/firmware project or a GitHub "fork" which is a synchronized modifiable copy of a main project.
**git** - a software versioning program created in 2005 by Linus Torvalds.
**GitHub** - a website and database for hosting git repositories.
**GPL** - "general public license" a type of copyright license that requires source code of software/firmware along with their modifications be made public. 
**IAT** - "intake air temperature" a thermistor type sensor that measures the temperature of the air that is being pulled in by an engine.
**inHg** - "inches of mercury" a method of determining pressure traditionally by measuring the height of mercury metal in an upright narrow transparent container with one end open to the atmosphere and the other open to the pressure to be measured.
**ITB** - "individual throttle bodies" a type of air intake that has no plenum or manifold but rather separate runners that go to each cylinder and a throttle body at the head of each runner.
**LC** - "launch control" a special type of rev limiter that is enabled/disabled by a pedal and/or switch in order to control vehicle take off from standstill.
**MS** - "MegaSquirt" a do-it-yourself electronic fuel injection system created in 2001 by Bruce Bowling and Al Grippo.
**PR** - "pull request" a request made with an original project by a GitHub "fork" of the project to pull code additions and/or modifications.
**repo** - "repository" a collection of files stored in a database that belong to a particular project and/or program.
**repos** - same as repo
**TPS** - "throttle position sensor" a potentiometer type sensor that measures the opening of a throttle.
**TS** - "TunerStudio" engine control unit tuning software created by Phil Tobin of EFI Analytics. This is the most used front end for configuring and tuning Speeduino as of 20200802.
