---
title: ЭБУ разъёмы ECU_Connectors
description: 
published: true
date: 2021-01-05T12:11:06.743Z
tags: 
editor: undefined
dateCreated: 2021-01-05T11:08:06.669Z
---

ЭБУ разъёмы информация ECU Connector Reference
-----------------------

Чтобы упростить проектирование новых плат, на этой странице приведены ссылки на известные номера деталей разъемов ECU. Во многих случаях их трудно найти и они тщательно охраняются многими специалистами по монтажу, которые делают значительные наценки не указывая номера деталей производителя.

Эти номера деталей в основном для разьёма ЭБУ. Там, где это известно, также показан номер разъёма шлейфа.

### Audi
| Модели | Номера части | Вариант номера | заметки | Картинка                                                                                                                                                                                    |
|------------------------------|-------------|--------------------------|-----------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| A3,A4,A6,Golf,Passat         | 8-1393476-0 |                          | 80-контактный 2 штепсельный разъем. Встречается на многих моделях, начиная с 1997 до середины 2000-х годов. И бензин, и дизель. | [PDF](https://www.te.com/commerce/DocumentDelivery/DDEController?Action=showdoc&DocId=Customer+View+Model%7FCVM_8-1393476-0%7FB%7Fpdf%7F3D%7F3D_CVM_CVM_8-1393476-0_B.pdf%7F8-1393476-0)        |
| Golf mk3, Passat B4, Corrado | 963356-1    |                          | 1 поколение VR6 двигателей (оба типа катушки/дистрибутор)                                                        | [PDF](https://www.te.com/commerce/DocumentDelivery/DDEController?Action=showdoc&DocId=Customer+View+Model%7FCVM_963356-1%7FD%7Fpdf%7F3D%7F3D_CVM_CVM_963356-1_D_c-963356-1-d-3d.pdf%7F963356-1) |

### BMW
| Модели | Номера части | Вариант номера | заметки | Картинка                                                                                                                                          |
|---------------------------|-------------|--------------------------|-------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------|
| M54/M52tu/M62tu           | 967-288     |                          | 134 контакта, в 5 штекерах        | [PDF](https://www.mouser.fi/ProductDetail/571-7-967288-1)              |



### Mazda

| Модели | Номера части | Вариант номера | заметки | Картинка                                                                                                                                          |
|---------------------------|-------------|--------------------------|-------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------|
| NA Miata/MX5              | 174917-6    |                          | 2 штепсельный 48-контактный разъем, который покрывает большинство ранних моделей NA (примерно до '94) | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=174917&DocType=Customer+Drawing&DocLang=JP)              |
| NB(A) Miata/MX5 ('98-'01) | 174518-7    |                          | 3 штепсельный 64-контактный разъем, который охватывает все модели NB до '01 и некоторые из более поздних ЭБУ NA | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=174518&DocType=Customer+Drawing&DocLang=Japanese)        |
| NB(B) Miata/MX5 ('01-'05) | 1123038-2   | 353830-5                 | 3 штепсельный 72-контактный разъем, закрывающий все модели фейслифт NB (B) начиная с '01 и далее           | [3D-PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=CVM_1123038-2&DocType=Customer+View+Model&DocLang=3D) |

### Nissan

| Модели | Номер части | Вариант номера | Изготовитель | замечания | Картинка                                                                                                                                                                                                                                                                          |
|---------------------------------|---------------|------------------------------------------|------|---------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Неизвестно                         | 917940 ЭБУ  | 917937 разьем шлейфа                       | AMP  | 120 контакт сборка Impul-Mate                                             |                                                                                                                                                                                                                                                                                |
| Skyline RB25 (NEO)              | 178079 ЭБУ  | 178073 разьем шлейфа                       | AMP  | 104 контакт сборка Impul-Mate. Также используется с 5 спереди (Eg 5178079) |                                                                                                                                                                                                                                                                                |
| Неизвестно                         | 178078 ЭБУ  | 178080 разьем шлейфа                       | AMP  | 88 контакт сборка Impul-Mate. Также используется с 5 спереди (Eg 5178078)  |                                                                                                                                                                                                                                                                                |
| 300ZX<br>Skyline R32,R33,R34 (Excl NEO)<br/>Silvia S13(CA18),S14(Zenki)<br/>180SX<br/>Infinity Q45                     | 5174385 ЭБУ | 174385 (Старая часть\#) 177700 разьем шлейфа | AMP  | 76 контакт сборка Impul-Mate                                              | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=174385&DocType=Customer+Drawing&DocLang=Japanese)                                                 |
| Silvia S13(SR20),S14(Kouki),S15 | 174836 ЭБУ  | 177699 разьем шлейфа                            | AMP  | 64  контакт сборка Impul-Mate                                              | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=174836&DocType=Customer+Drawing&DocLang=Japanese) [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=177699&DocType=Customer+Drawing&DocLang=English) |
| Неизвестно                         | 174831 ЭБУ  | 177698 разьем шлейфа                            | AMP  | 48  контакт сборка Impul-Mate                                              |                                                                                                                                                                                                                                                                                |

### Subaru

| Модели | Номер части | Вариант номера | Изготовитель | замечания | Картинка                                                                                                                                  |
|-------------|-------------------------------|--------------------------|------|-----------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------|
| Most 99-00  | 1-353222-6 Сторона ЭБУ         |                          | TE   | Subaru использует только 96 контактов из 126. 3-й блок контактов не заполнен | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=353222&DocType=Customer+Drawing&DocLang=English) |
| JECS 93 pin | MX7-93PL-C4 сторона ЭБУ<br/>сторона шлейфа (3 разьема):<br/>35 контактный разьем: MX7-A-35SC<br/>28 контактный разьем: MX7-A-28SC<br/>30 контактный разьем: MX7-A-30SC   |                          | JAE  | 3 ряда штырей. Используется на моделях WRX (возможно, других) до 1999 года.               | [PDF](https://www.mouser.com/ds/2/206/J031431-1134923.pdf)                                                                               |

### Toyota

| Модели | Номер части | Вариант номера | Изготовитель | замечания | Картинка                                                                                                                                   |
|--------------|-------------|--------------------------|------|---------------------|-----------------------------------------------------------------------------------------------------------------------------------------|
| MK3 Supra ('87-'88)<br/>Celica ST165   | 172319-7    |                          | AMP  | 52-контакта, 3 разьема ЭБУ.  |  |
| MK3 Supra ('89+)   | 178780-1    |                          | AMP  | 76-контакта, 4 разьема ЭБУ.  | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=178780&DocType=Customer+Drawing&DocLang=Japanese) |
| 3S-GT MR2    | 174518-7    |                          | AMP  | 64-контакта, 3 разьема ЭБУ.  | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=174518&DocType=Customer+Drawing&DocLang=Japanese) |
| 4efte GT<br/>2e-fe<br/>4e-fe    | 175446-6    |                          | AMP  | 42-контакта, 2 разьема ЭБУ.  |                                                                                                                                         |
| 4efte Glanza | 175448-6    |                          | AMP  | 54-контакта, 3 разьема ЭБУ.  |                                                                                                                                         |
| 1MZFE Camry  | 178203      |                          | AMP  | 100-контакта, 4 разьема ЭБУ. | [PDF](http://www.te.com/commerce/DocumentDelivery/DDEController?Action=srchrtrv&DocNm=178203&DocType=Customer+Drawing&DocLang=Japanese) |

