---
title: Аппаратные Требования
description: 
published: true
date: 2021-01-04T15:47:57.241Z
tags: 
editor: undefined
dateCreated: 2021-01-02T07:58:44.060Z
---

# Обзор Аппаратных Требований
На этой странице представлены основные требования к аппаратному обеспечению системы Speeduino, а также некоторые возможные варианты. Здесь не описаны все возможные варианты, но информации достаточно для начального ознакомления. 

Arduino
-------

В качестве основного контроллера Speeduino использует R3 Arduino Mega 2560. Все официальные платы **Arduino Mega 2560** и их копии будут работать нормально, но рекомендуется использовать платы, которая имеет последовательный интерфейс 16u2, а не более дешевый CH340. Какой чип используется платой, как правило, можно найти в списке информации/спецификации от большинства розничных продавцов, но если есть сомнения, спросите продавца, у которого вы хотите купить. Есть платы на **STM32** и **Teency**.

Входные сигналы
------

### Датчик Коленвала/ Датчик Распредвала
Это самые важные датчики для правильной работы Speeduino. Сигнал, поступающий на Arduino, должен представлять собой серию импульсов в виде квадратной волны 0v-5v (показана ниже), представляющих зубья на колесе, работающем со скоростью коленвала (или распредвала). Многие датчики Холла и "opto" датчики выдают подобный сигнал. Если используется только реперный диск коленчатого вала (без репера распредвала), реперный диск коленвала должен иметь "отсутствующий" зуб, чтобы обеспечить информацию о угловом положении, а также об оборотах двигателя. Самые испытанные в настоящее время реперные диски имеют варианты 4-1, 12-1, 36-1 и 60-2.

Для получения информации вариантах синхросигналов см. [Trigger Patterns and Decoders](/decoders) страницу.

Как альтернатива (необходимо для полного последовательного впрыска) добавляется сигнал распредвала. Это обозначается дополнительно значением "/x ", например 60-2/1, для 60-зубчого репера с 2 отсутствующими зубьями и 1-сигналом распредвала за цикл.

Также могут использоваться датчики VR (переменного сопротивления), однако, поскольку плата не содержит какого-либо формирователя сигнала для преобразования синусоидальной волны (ниже) в требуемую квадратную волну, потребуется дополнительный модуль. 8-контактный DIP-разъем расположен на официальных платах серий v0.3.x и v0.4.x для этой цели, как IC3. Микросхема MAX9926 была протестирована для работы с большинством типов входных сигналов и доступна в [Speeduino Store](https://speeduino.com/shop/index.php?id_product=17&controller=product), однако любой аналогичный модуль, который выводит квадратную волну 0v-5v (LM1815, LM358, SSC/DSC, множество OEM-модулей и т.д.), также должен хорошо работать с сигналами датчиков VR.

![vr_wave.gif](/img/vr/vr_wave.gif =400x){.align-center}

Рекомендуется принимать меры предосторожности при монтаже и выборе провода для датчиков коленчатого вала и распределительного вала. Максимальное удаление от электрически шумных компонентов, таких как генератор переменного тока, и свечей зажигания может помочь. Использование экранированного кабеля также может помочь (привязать экран только к стороне ECU). Можно использовать программную фильтрацию, но ничто не передает чистый сигнал от источника. 

Если сигнал кривошипа/кулачка потерян и опции EMI/фильтрации исчерпаны, убедитесь, что соединения + 12 В и GND платы Speeduino также свободны от шума. Шум на главной шине питания может вызывать помехи.

### Датчик положения дросселя

Датчик положения дросселя (TPS) должен быть трехпроводным потенциометрическим, а не двухпроводным выключателем, установленных на некоторых дросселях. Если ваш TPS является датчиком 3 провода, то он, скорее всего, будет работать, однако вам нужно будет подтвердить, что это датчик потенциометрического (переменного) типа.

При использовании TPS с неизвестными соединениями; рекомендуется протестировать TPS с помощью измерителя сопротивления для каждого контакта без риска повреждения путем случайного применения мощности датчика. Это может быть выполнено на стенде или при выключенном двигателе и отключенном TPS:

-   Назначте букву каждому контакту.
-   Подсоедините измеритель сопротивления к 2 контактам и поворачивайте дроссель с закрытого (холостого) на широко открытый (WOT), зафиксировав результаты..
-   Найдите пару контактов, сопротивление которых существенно не изменяется с холостого хода на WOT. Это два контакта питания.
-   Оставшиеся контакты являются **Сигнал**.
-   Для определения контакта питания **V+** и земли **GND**, измерьте сопротивление контакта **Сигнал** и одним контактом питания.
-   В положении закрытия; если сопротивление мало то этот контакт питания **Земля**. Если велико, то это контакт **V+**.

Большинство используемых датчиков TPS имеют 3 контакта. Если TPS имеет различное количество контактов, то, ссылаясь на исходную схему подключения двигателя, эта функция может быть отображена, может ли она использоваться или какие контакты использовать для Speeduino. Для датчиков TP, которые работают "назад", и провода не могут быть изменены, простая модификация кода доступна на [Forums](https://speeduino.com/forum/viewtopic.php?f=19&t=1159#p18146) для использования этого типа TPS.

### Датчик давления во впускном тракте MAP 

Рекомендуемый датчик MAP является MPX4250 от Freescale, однако многие датчики MAP поддерживаются. Если вы хотите использовать тот, который не включен в список (Under Tools-&gt;Map Calibration in TunerStudio), сделайте новую ветку на форуме, запросив это. Другие датчики могут и будут работать просто хорошо, но вам нужно будет откалибровать их в TunerStudio по другому набору значений.

### Температурные датчики ( Охл. жидкость (CLT) и температура во впускном тракте (IAT) )

Для этих температурных функций можно использовать любой стандартный двухпроводной термисторный датчик. Датчики имеют 1 сторону, соединенную с землей (предпочтительно от ЭБУ), а другая сторона соединена к сигнальной линии. Эти датчики не имеют полярности, поэтому ориентация этих проводов не имеет значения.

Детали см. [Sensor Calibration - Калибровка Датчиков](/configuration/Sensor_Calibration) page

### Датчики кислорода в выхлопных газах (O2 и WBO2)

Тип датчика кислорода O2 (узко или широкополосный) должен быть выбран в TunerStudio в *Tools &gt; Calibrate AFR Table*.

#### Узко-полосные

Сигналы датчиков NBO2 считываются непосредственно Speeduino. TunerStudio автоматически применяет стандартные нелинейные значения от 0 вольт до 1 вольт для всех стандартных датчиков NBO2 при калибровке. После калибровки Speeduino будет использовать назначенный NBO2 для регулировки соотношения воздух-топливо в соответствии с записями в таблице AFR (*Tuning &gt; AFR Table*),и датчик выбран для типа и параметров (или отключен) в *Tuning &gt; AFR/O2*. Следует отметить, что узкополосные датчики изначально были спроектированы для поддержания на стехиометрических AFR (Lambda 1.0) для эффективного каталитического контроля выбросов и, как правило, не являются достаточно точными или подходящими для настройки максимальной экономичности или высокой мощности. Хотя и не рекомендуется; имеются соответствующие методы настройки, позволяющие осуществлять ограниченную и приблизительную настройку с использованием датчика NBO2.

#### Широко-полосные

Широкополосные кислородные (WBO2) датчики могут обнаруживать и сообщать о более широком диапазоне лямбда (ƛ) или АФР, чем узкополосные, и с большей точностью, примерно от 10:1 до 20:1 (примерно от 0,7 до 1,3 лямбда), в зависимости от конкретной версии датчика и контроллера. Speeduino не может использовать WBO2 датчики напрямую, требуя внешнего контроллера для обработки сигнала и применения управления нагревом датчика. Введите марку контроллера и модель из отображаемого списка. Если сигнал контроллера является общим 

После установки *Tools &gt; Calibrate AFR Sensor*, Speeduino может использовать назначенный WBO2 чтобы сообщать lambda/AFR в TunerStudio для прямых показаний. После выбора датчика по типу и параметрам *Tuning &gt; AFR/O2* он может корректировать значения на ходу в соответствии с записями, которые вы делаете в AFR таблице (*Tuning &gt; AFR Table*), и для автоматической настройки в TunerStudio, или MegaLogViewer в реальном времени или по логам. Параметры также включают опцию отключения. Хотя Speeduino может использовать WBO2 информацию значительной коррекции топлива; настоятельно предлагается не использовать его для компенсации плохой настройки.

### Специфичные входные данные

То что пользователи Speeduino нашли полезными для реализации определенных функций.

#### Датчик "Flex Fuel"

См [Flex Fuel](/configuration/Flex_Fuel) для получения подробной информации об аппаратных средствах и конфигурации гибких установок топлива.


#### 12V Входной Сигнал

Некоторые датчики положения выдают сигнал 12В. Чтобы исправить это и избежать повреждения Arduino, можно построить цепь, подобную той, что на диаграмме. Резистор R1 не всегда требуется, но гарантирует, что любой выход, который не является высоким, затянется на низкий уровень. Наряду с этой схемой используйте перемычку на Speeduino. Это позволит эффективно преобразовать сигнал 0v/12v в сигнал 0v/5v.
*Спасибо PSIG за информацию и диаграмму.*

#### GM 7 / 8 контактный модуль Дистрибутор

Модули GM 7/8 pin использовались в широком спектре двигателей GM от 4 цилиндра до V8s (малый и большой блок). Распределитель 8 контактов также широко использовался в морских применениях компаниями Indmar, Mercruiser и другими.

<center>
GM 7-контактный модуль   <img src="https://raw.githubusercontent.com/speeduino/wiki/master/hardware/GM_7-pin.png" title="Fig. 1 GM 7-pin module" width="400"/>

</center>

<center>
GM 8-контактный модуль зажигания   <img src="https://raw.githubusercontent.com/speeduino/wiki/master/hardware/GM_8-pin.png" title="Fig. 2 GM 8-pin module" width="370"/>

</center>

Модули с 7 и 8 контактами функционально эквивалентны и в значительной степени имеют одинаковую проводку. Штифт 7 используется в больших распределителях катушки в крышке, в то время как штифт 8 используется в распределителях малой крышки с дистанционно установленными катушками. Контакт 8 имеет один дополнительный вывод, который обеспечивает заземление датчика. Оба модуля обеспечивают заземление змеевика через металлические решетки, используемые для крепления их к распределителю.

Эти модули обеспечивают простое средство для управляемой компьютером синхронизации при удержании распределителя. Они были разработаны для использования с двигателями впрыска корпуса дросселя и впрыска через порт и обеспечивают автоматическое ограничение тока катушки (7,5 ампер был спецификацией GM) и автоматическое управление задержкой. Устройство может быть приспособлено для других распределительных применений, в которых используются датчики либо переменного типа, либо типа холла.

##### Описание контактов

• "**+**" : Напряжение батареи от коммутируемого источника зажигания. Обеспечивает питание для работы модуля.

• "**C-**" : Отрицательное соединение катушки зажигания.

• "**P & N**" : Позитив и негатив дистрибьютора. Полярность важна. Соединители распределителя GM могут быть подключены только одним способом. Для использования с другими распределителями проверьте полярность выводов резистора.

• "**B**" : Байпас зажигания. При прокрутке заземление этой линии обходит компьютерный контроль синхронизации. Синхронизация контролируется только модулем. Это можно сделать с помощью функции байпасного штифта прокрутки Speeduino (см. ниже).

• "**R**" : Опорный сигнал или сигнал тахо. Это приводит к появлению квадратной волны 5 В, которая служит RPM1 входом для Speeduino. Чтобы использовать это, подключите его к RPM1 и установите JP2 в Холл и JP4 подключен (т.е. 5 вольт).

• "**E**" : Сигнал управления синхронизацией. Если контакт B имеет 5 вольт, модуль позволяет Speeduino управлять синхронизацией с помощью этого контакта. Выход Ign1 должен быть подключен к этому контакту.

• "**G**": *(8 контактов только)* Сигнальное заземление. Необходимо подключить к заземлению датчика Speeduino. (Заземление модуля обеспечивается через металлические монтажные решетки)

Схема байпаса синхронизации должна быть сконструирована так, чтобы использовать управление опережения зажигания Speeduino. Небольшой контур ниже должен быть построен в протообласти.

<center>
<img src="https://raw.githubusercontent.com/speeduino/wiki/master/ignition/GM7_pin_bypass.png" title="Fig. 3 Bypass circuit" width="40%"/>

</center>
Кроме того, необходимо включить байпас прокрутки и установить байпас на контакт 3 в диалоговом окне "Настройки прокрутки" (в разделе "Запуск/бездействие в TunerStudio").:

<center>
<img src="https://raw.githubusercontent.com/speeduino/wiki/master/warmup/cranking_bypass.png" title="Fig. 4 Bypass settings" width="40%"/>

</center>
Настройки триггера (в разделе Starting/Trigger Setup в TunerStudio) должны быть такими, как показано ниже. Вам нужно будет настроить угол срабатывания, чтобы получить правильное время. Инструкции для этого находятся в wiki.

<center>
<img src="https://raw.githubusercontent.com/speeduino/wiki/master/ignition/GM7_pin_triggerSettings.PNG" title="Fig. 5 Trigger settings" width="35%"/>

</center>
Управление синхронизацией установлено в меню the Spark/Spark:

<center>
<img src="https://raw.githubusercontent.com/speeduino/wiki/master/ignition/GM7_pin_sparkSettings.png" title="Fig. 6 Spark settings" width="30%"/>

</center>
Модуль работает хорошо, однако некоторые приложения приводят к шумному запускающему сигналу. Это показывает нестабильную частоту вращения (либо на холостом ходу, либо чаще, на более высоких скоростях). Фильтрация триггеров может помочь, но для очистки сигнала может потребоваться модификация. Схема ниже эффективно очищает/фильтрует сигнал, позволяя использовать без триггерной фильтрации Speeduino. Он был протестирован с одно- и 8-полюсными катушками и модулями от GM, Transpo и дженериком без названия.

<center>
<img src="https://raw.githubusercontent.com/speeduino/wiki/master/ignition/GM7_pin_filter.png" title="Fig. 7 Filter circuit" width="40%"/>
</center>


Выводы
-------

### Форсунки

Драйверы форсунок Speeduino используют управление включением/выключением (не PWM) и предназначены для работы с инжекторами "High-Z". Этот тип инжекторов также известен как "насыщенный" или "высокоимпедансный", которые используют полное напряжение батареи для управления разомкнутым циклом инжектора, и обычно импеданс превышает приблизительно 8 Ом. Если используются инжекторы "Low-Z" ("peak and hold" или PWM-управляемые) с меньшим импедансом, на них необходимо установить последовательные резисторы, чтобы избежать повреждения платы избыточным током. Резисторы могут быть рассчитаны по закону Ома или использовать страницу Интернет-калькулятора [Speeduino Injector Resistor Calculator](http://efistuff.orgfree.com/InjectorResistorCalculator.html).

Speeduino может использовать до 2 инжекторов High-Z на каждый выходной канал.

Платы 0,4 В имеют по 2 контакта на канал инжектора, что позволяет каждому инжектору непосредственно соединяться с платой без сращивания в жгуте. Если приложение имеет менее 4 инжекторов с помощью любого контакта, подключенного к соответствующему каналу, будет работать. 

### Катушки зажигания

В текущих версиях Speeduino используются выходные сигналы малой мощности, предназначенные для работы с внешними драйверами катушек зажигания, будь то отдельного типа (модуль или ICM, воспламенитель, IGBT и т. д.), или встроенного в сборку катушки ("умные" катушки). Этот способ позволяет Speeduino иметь большую гибкость для управления большинством типов систем зажигания. Подключение выходов Speeduino непосредственно к традиционной пассивной катушке зажигания высокого тока ("тупой" или 2-контактный) без драйвера катушки зажигания ПРИВЕДЕТ к повреждению вашего Arduino.

***Как Speeduino управляет искрой*** В предшествующей истории драйвер катушки представлял собой набор механических контактных точек ("points"), просто заменённых сегодня электронной версией. Дополнительный привод катушки может находиться в любом месте от Speeduino до узла катушки; хотя вблизи или в катушке уменьшает электрический шум.

В приведенном анимированном изображении сигнал зажигания Speeduino обычно низкий (вблизи земли или 0V), в то время как Speeduino вычисляет время до следующего запуска катушки. В соответствующее время Speeduino переключает выход зажигания на высокий (почти 5V или 12V выбираемый), чтобы включить драйвер катушки (например, IGBT), позволяя току протекать через катушку на землю. Это называется "период выдержки" (dwell). Во время пребывания вокруг сердечника катушки зажигания и проволочных обмоток генерируется возрастающее энергетическое поле.

В конце периода выдержки и, следовательно, в надлежащее время для искры; Speeduino выключает драйвер катушки, останавливая поток тока, который разрушает энергетическое поле для создания высокого напряжения и результирующей искры:

<img src="http://efistuff.orgfree.com/images/Speedy_Ignition_Sequence.gif" title="Fig. 1 Typical IDI Ignition" />

В TunerStudio, настройка для этого примера заключается в срабатывании искры "*going low*". Уставка времени выдержки сильно варьируется в зависимости от типа катушки, уровня напряжения и т.д. Слишком малое пребывание даст слабую искру или отсутствие искры, а избыточное пребывание быстро увеличит тепло, возможно, повредив любой из компонентов зажигания, обычно это катушка зажигания или драйвер катушки.

Версия с отработанной искрой показана ниже, чтобы показать, как она идентична в работе, но с высоковольтной искрой, возвращающейся через вторую свечу зажигания для завершения цепи:

<img src="http://efistuff.orgfree.com/images/SpeedyIgnitionDiagramWASTED.jpg" title="Fig. 2 Typical ISI-WS Ignition" />

Хороший обзор "умных" типов катушек можно найти в: [<http://www.megamanual.com/seq/coils.htm>](http://www.megamanual.com/seq/coils.htm). Существует много модулей зажигания, которые Speeduino может использовать для управления стандартными катушками, или для интеллектуальных катушек, как правило, можно использовать 4 или 5-контактный тип, так как они всегда будут логическим уровнем, хотя некоторые 3-контактные катушки также относятся к этой разновидности. GM LS1/2 катушки являются примером мощных интеллектуальных катушек, которые обычно используются и обычно могут быть получены легко и дешево.

*(NПримечание: В прошлом некоторые модули управления зажиганием с ограничением тока или элементами управления замедлением (например, 1970-е годы GM HEI, типы Bosch '024' и Ford DS1) назывались "умными" модулями. Хотя все еще верно, общая терминология отдельных катушек зажигания с, по меньшей мере, встроенным драйвером или более новой технологией с более широкими средствами управления (например, управляемая продолжительность искры или многоискровая) все считаются "умными" катушками. Для правильной работы с Speeduino необходимо знать требования к управлению определенными драйверами, модулями управления или катушками.)*

### Вспомогательные выходы

#### Низкий ток

В большинстве версий Speeduino сигналы низкого тока (LC) выводятся непосредственно из процессора MEGA в (обычно) область прототипирования (proto) платы. Эти выходы обычно не подходят для управления устройствами питания непосредственно в этой форме и нуждаются в соответствующих выходных схемах, построенных на протообласти, чтобы обеспечить их использование. Кроме того, функции вывода, такие как топливный насос или вентилятор, могут быть повторно назначены другим штырькам и компонентам, таким как существующие высоковольтные (HC) выходные МОП-транзисторы - для получения дополнительной информации см. раздел "Средний ток" ниже.

Некоторые версии Speeduino включают в себя 8-канальную ULN2803A Darlington транзисторную матрицу IC, которая способна переключаться до 1/2 ампер на канал. Этих вспомогательных выходов достаточно для непосредственного переключения небольших устройств или для переключения устройств управления питанием, таких как силовые МОП-транзисторы или автомобильные реле. Конфигурация и настройки этих выходов описаны в [Configuration](/Configuration_Index) секции. Дополнительная информация по использованию ULN2803A на платах серии v0.4 [Здесь](https://speeduino.com/forum/viewtopic.php?f=19&t=1023&p=16588#p16588). Аналогичные опции вывода и назначения выводов могут использоваться в других конструкциях плат.

#### Средний ток

Платы v0.3x и более поздних версий включают вспомогательные выходы MOSFET средней мощности для непосредственного переключения до 3 ампер. Они помечены "HC" в схемах и некоторых ссылках. Эти выходы обычно используются для управления нерабочими клапанами, повышающими регулирующими клапанами, электромагнитами VVT и т.д., или для управления реле для обработки гораздо больших нагрузок, таких как вентиляторы электрических радиаторов. Конфигурация и настройки этих выходов описаны в[Configuration](/Configuration_Index) секции.

Вспомогательные вводы-выводы
-----------

На платах Speeduino на базе Mega2560 Arduino (официальных или работающих под управлением текущего встроенного ПО) поддержка git commit 13f80e7 доступна для внешнего подключения 8 16-битных аналоговых входов через [Serial3](/Secondary_Serial_IO_interface)

Шина CanBus
------

Поскольку Arduino mega2560 не имеет интерфейса CanBus, был разработан отдельный "сопроцессорный" интерфейс. Более подробную информацию об этом устройстве можно найти здесь <https://github.com/Autohome2/Speeduino-can-interface>. This использует функциональные возможности, предоставляемые портом Serial3, и подключается через этот порт.

На предстоящем Teensy3.5 варианте Speeduino код CanBus будет включен в встроенное ПО основной системы, так как Teensy3.5 имеет интегрированную CanBus и требует добавления только модуля приемопередатчика.

Добавления от стороних разработчиков
-------------------

В этом разделе содержится информация о стороннем оборудовании, разработанном для использования совместно с ECU Speeduino.

Интерфейс ввода/вывода общего назначения для Speeduino (GPIO)
------------------

Существует несколько вариантов GPIO, прошивку можно загрузить здесь <https://github.com/Autohome2/Speeduino-GPIO>

Больше информации [GPIO_for_Speeduino](/GPIO_for_Speeduino "wikilink")