---
title: Характеристики Форсунок
description: Configuring the injector properties
published: true
date: 2021-01-02T18:01:40.864Z
tags: 
editor: undefined
dateCreated: 2021-01-02T18:01:34.993Z
---

# Характеристики Форсунок
## Обзор
Топливные форсунки имеют уникальные аппаратные свойства, которые должны учитываться в вашей настройке. В идеале они могут предоставляться производителем, однако в некоторых случаях данные могут быть недоступны или их трудно найти. Ниже приведены типичные значения в качестве отправных точек для этих случаев. 

## Параметры настройки (Settings)
![Injector Characteristics](/img/constants/injectorChars.png){.align-center width=50%}

| Переменная                    | Типичное значение | Коментарий                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|-----------------------------|---------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Время открытия форсунки мс   | 0.9 - 1.5     | Время полного открытия форсунки при срабатывании плюс время, необходимое для закрытия. Это относится к каждому типу и варианту форсунки.                                                                                                                                                                                                                                                           |
| Углы закрытия форсунки       | 355           | Это соответствует углу, по отношению к ВМТ каждого цилиндра, на котором будет заканчиваться ыпрыск. Это значение можно варьировать для каждого канала (включая для полупоследовательной проводки), но значение по умолчанию 355 подходит для большинства случаев.                                                                                                                                                                                                                                                                                                                                             |
| Предельная производительность форсунки         | 85%           | Форсунка открывается и закрывается один раз за оборот коленвала, так что, принимая во внимание время открытия инжектора, рабочий цикл ограничен, чтобы избежать превышения времени вращения. Рекомендуется значение 85%, но более высокое значение может быть использовано для более быстрого впрыска. Следует отметить, что как только этот предел рабочего цикла достигнут, он не будет превышен, поскольку топливный инжектор не может закрываться и открываться достаточно быстро для подачи большего количества топлива. Это может потенциально вызвать обедненные условия при высоких оборотах в минуту. При достижении этого предела тщательно продумайте, требуются ли более крупные инжекторы. |
| Коррекция напряжения форсунки | 100%          | Процент длительности импульса инжектора изменяется с изменением напряжения питания. Значение 100% означает отсутствие изменения длительности импульса.                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| Режим коррекции напряжения     | Только время открытия| Применяется ли коррекция напряжения только ко времени открытия или ко всей длительности импульса. |