---
title: ЭБУ Miata/MX5 89-95 NA6 PNP
description: Plug and Play board for the NA Miata/MX5 model years '89 through to early '95
published: true
date: 2021-01-04T19:55:55.989Z
tags: 
editor: undefined
dateCreated: 2021-01-02T07:12:03.650Z
---

Введение
------------

Speeduino Miata/ MX5 Plug N Play (PNP) предназначена для легкой установки на автомобили 1.6L NA6 с помощью 48-контактного ECU. Это все 1.6 модели с 1989 по 1993 год и некоторые до 1995 года.

Штатный блок для этих транспортных средств имеет 2 штекерное соединение и выглядит следующим образом:

![OEM_ECU.png](/img/MX5/OEM_ECU.png){.align-center width=500}

> **ПРЕДУПРЕЖДЕНИЕ:** Обратите внимание на то, что для этого устройства требуются некоторые изменения конфигурации оборудования. В частности, подробности, которые должны быть поняты перед запуском, см. ниже в разделе топливного насоса.
{.is-danger}



Требования к оборудованию
---------------------

Блок PNP подключается непосредственно к проводке на месте исходного ECU, однако некоторые изменения оборудования либо рекомендуются, либо желательны в большинстве установок.

Самое важное, Speeduino не работает со штоком AFM на NA6 двигателе. Этот блок можно либо сохранить, либо удалить, но если его оставить на месте, разъем к нему следует отсоединить.

### Давление в коллекторе

Для определения нагрузки настоятельно рекомендуется проложить линию давления в коллекторе к коробке Speeduino PNP. Это позволяет Speeduino работать в конфигурации Speed-Density по умолчанию и обычно является довольно простой установкой. Блок поставляется со встроенным датчиком MAP, поддерживающим до 1 бар наддува, но совместимым с другими внешними датчиками, если требуется большее давление.

Автомобили 1.6L обычно поставляются с подходящим портом MAP рядом с корпусом дросселя, который закрыт в форме запаса и обычно является наиболее простым местом для определения эталонного давления в коллекторе.

![MAP_orig.png](/img/MX5/MAP_orig.png){.align-center width=500}

5mm or 6mm vacuum hose should be used and there are multiple original holes in the firewall where this can be run.

### Датчик положения дросселя

Ручной NA6s поставляется только с коммутатором TPS, который обеспечивает ограниченную обратную связь с ECU. Настоятельно рекомендуется заменить его переменной TPS (VTPS), которая выдает сигнал, указывающий текущее положение дросселя. Исходная проводка может использоваться с любым 3 проводом VTPS

![TPS_wiring.png](/img/MX5/TPS_wiring.png){.align-center width=500}

> **Note:** If a VTPS is **NOT** being fitted, the stock TPS should be disconnected and a 1k resistor placed between the signal line and ground to prevent erratic acceleration enrichment at full throttle.
{.is-warning}


### Датчик температуры на входе

В конфигурации запаса температура воздуха на входе обеспечивается датчиком в АСМ. Если AFM сохраняется, то этот датчик будет работать, если переходные провода проходят от AFM к отсоединенному разъему (см. рисунок ниже), однако, поскольку большинство установок выбирают удаление AFM, необходимо добавить дополнительный датчик. Рекомендуемым датчиком является IAT на открытом воздухе ГМ, который является общим для многих транспортных средств ГМ. Номер детали для этого\# 25036751 и его можно найти довольно дешево из многих интернет-источников, включая магазин Speeduino (https://speeduino.com/shop/index.php?id_product=23&controller=product)

Провода 2 от этого датчика могут быть прикреплены непосредственно к разъему AFM на контактах 1 и 6 (неважно, какой провод идет к какому контакту):

![IAT_connector.png](/img/MX5/IAT_connector.png){.align-center width=500}

### Широкополосный датчик O2

Хотя установка широкополосного кислородного датчика и контроллера не является обязательной, настоятельно рекомендуется. Любой широкополосный контроллер, который выдает сигнал 0-5 В, поддерживается и калибровка для обычных контроллеров доступна в диалоговом окне Tools- & gt; Calibrate AFR Table.

Широкополосный аналоговый выходной сигнал должен быть подключен к исходному проводу датчика O2. Это имеет удобный разъем в моторном отсеке, расположенный как раз рядом с катушками. Это можно найти, проследив за проводом от исходного датчика. Если не использовать исходный узкополосный датчик повторно, разъем может быть вырезан из него и присоединен к широкополосному сигналу.

### Управление топливным насосом

Блок не осуществляет никакого управления топливным насосом, поскольку об этом заботится АСМ. Однако Speeduino может управлять топливным насосом через исходную проводку, но требует удаления предохранителя ST_SIG. Отказ снять этот предохранитель до включения питания блока приведет к отключению интеллектуального полевого транзистора, который используется на этой линии, но не должен вызывать постоянных повреждений, если они выполняются только один или два раза.

Извлекаемый предохранитель находится в блоке предохранителей отсека двигателя:

![ST_SIG_fuse.png](/img/MX5/ST_SIG_fuse.png){.align-center width=500}

#### Альтернативные методы контроля

Если вышеописанный способ управления топливным насосом либо нежелателен, либо недоступен, то альтернативный драйвер, подключенный к 2O на главном разъеме, может быть использован для этого. Контакт 2O изначально несет сигнал AFM, однако, поскольку Speeduino не использует его (и AFM должен быть отключен), он может использоваться для управления топливным насосом.

Для этого на разъеме AFM требуется перемычка, как показано ниже:

![AFM_fuel_pump.png](/img/MX5/AFM_fuel_pump.png){.align-center width=500}


После установки вышеуказанной перемычки необходимо установить штырь топливного насоса в TunerStudio в положение A9.

### Настройка на двигателях 1.8

Проводка на 48-контактных моделях 1.8 (NA8) во многом идентична 1.6 (NA6), однако существуют некоторые незначительные различия. В дополнение к другим пунктам на этой странице для установок 1.8 следует соблюдать следующее:

- Выходной палец топливного насоса должен быть установлен в A9
- Если tacho не работает, установите контакт tacho на 49 и добавьте перемычку к контактам "Tach" на плате (чуть выше R56)
- Если показания TPS зафиксированы при полном размыкании/замыкании и у вас есть обогреваемый задний дефистор, возможно, вам потребуется снять/вырезать 2L провода. Это следует делать только в данном конкретном случае и вряд ли это коснется большинства автомобилей.

## Конфигурирование и запуск
Настоятельно рекомендуется начать с использования базовой мелодии NA6, которая доступна через SpeedingLoader.

### Калибровка датчика

Датчики запаса могут использовать предварительно установленные калибровки в TunerStudio. При сохранении датчиков запаса следует использовать следующие значения:
**Stock Coolant Sensor (CLT)** - RX-7_CLT(S4 & S5)
**Stock inlet air sensor (IAT)** - RX-7_AFM(S5 in AFM)

![sensor_calibrations.PNG](/img/MX5/sensor_calibrations.PNG){.align-center width=420}
