---
title: V0.3 Плата V0.3 Board
description: Usage and details of the v0.3 series of boards
published: true
date: 2021-01-04T19:06:44.430Z
tags: 
editor: undefined
dateCreated: 2021-01-02T07:15:22.658Z
---

# V0.3 Плата V0.3 Board
## Обзор

Плата v0.3 была первым широко доступным Speeduino и подходит для многих типичных применений впрыска и зажигания 1-4 цилиндров (исключая двигатели с прямым впрыском). Он использует винтовые клеммы для всех соединений, чтобы сделать тестовую проводку простой и быстрой для прототипирования.

## Функционал платы

v0.3 платы имеют следующие функции:

-   4 канала инжекторов 
-   4 канала зажигания
-   Полностью защищенные входные каналы для CLT, IAT, TPS and O2
-   Опционально кондиционер VR на входах кривошипа и кулачка
-   MAP датчик
-   4 выходы среднего тока (например, топливный насос, тепловентилятор и т.д.)
-   Все выводы ввода/вывода через винтовые клеммы на плате
-   Протообласть с IO, SPI и питанием.

## Физическая компоновка

![v0_3_2_board_annotated.jpg](/img/boards/v0_3_2_board_annotated.jpg){.align-center width=450}

## 
Прото область

Протозона может использоваться для добавления собственных каналов к Speeduino при необходимости или просто как удобная точка доступа к различным соединениям. К протоплате подключены следующие соединения:

-   5v and 12v
-   Grounds
-   SPI pins (MOSI, MISO, SCK and SS). В качестве альтернативы они могут использоваться в качестве общего цифрового ввода-вывода (контакты Arduino 50-53)
-   3 общих аналоговых входа (13-15)

![v0_3_2_proto_annotated.jpg](/img/boards/v0_3_2_proto_annotated.jpg){.align-center width=460}

## Ионтаж платы

Обратиться к [Board revisions](Board_revisions "wikilink") для ссылки на спецификацию (BOM) конкретной платы.

Сборка полной платы является относительно простой, при этом все компоненты проходят через отверстие и маркируются на плате (см. вышеупомянутую ведомость материалов для списка деталей). Хотя не имеет значения, какие компоненты заказа установлены, для простоты рекомендуется следующее:

1. All resistors
2. All diodes (Including LEDS)
3. All capacitors
   * Обратите внимание, что C14 и C16 являются поляризованными конденсаторами, что означает, что они должны быть установлены правильно. Конденсаторы должны иметь знак + с одной стороны. На печатной плате положительная сторона обозначена линией на символе конденсатора.
   * ![capacitor_orientation.png](/img/hardware/capacitor_orientation.png){.align-center width=180}
  Правильная ориентация конденсатора
  
4. Все коллекторы перемычек (JP\*)
5. Контакты Arduino:
  * Предлагаемый метод: Разбейте выводы заголовка на требуемые длины и вставьте в Arduino Mega. Поместите плату поверх верхней части контактов и припоя на место
   * Обратите внимание, что не все контакты на конце двойного ряда должны быть заполнены (хотя это не причиняет вреда). Нечетные пронумерованные контакты (Eg D23, D25.. DD53), не нуждаются в булавках на них.
6. Разъемы IC
7. Датчик MAP (если используется)
   * **ПРИМЕЧАНИЕ:** ВСЕ самосборные платы имеют датчик MAP с отверстием вверху.
8. Все винтовые клеммы
9. Все MOSFET
10. Регулятор мощности

### Видеоролик с инструкциями по сборке

<center>
<iframe width="560" height="315" src="https://www.youtube.com/embed/IjKlmIi_Dug" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</center>

Конфигурация платы
-------------------

Плата может быть сконфигурирована несколькими способами в зависимости от используемого оборудования и способа настройки.

### Выходы платы по умолчанию

Несколько функций в Speeduino имеют регулируемые выходы или могут быть установлены на Board Default. Ниже приведены выводы по умолчанию для v0.3

**Примечание:** *Эти значения по умолчанию применимы к прошивке от января 2017 года и более поздней версии*

| Функция                    | Выход платы            | Ардуино-Пин |
|-----------------------------|--------------------------|-------------|
| Boost control               | S2 Screw terminal        | 7           |
| VVT                         | S1 Screw terminal        | 6           |
| Idle 1                      | Idle Screw terminal      | 5           |
| Idle 2 (3 wire idle valves) | Proto area (Labelled 53) | 53          |
| Fuel pump                   | FP Screw terminal        | 4           |
| Launch/Clutch               | Proto area (Labelled 51) | 51          |

### Необязательные компоненты

При использовании датчика кривошипа VR для платы потребуется установка кондиционера VR. Плата разработана для работы с двойным кондиционером VR от JBPerf (http://www.jbperf.com/dual_VR/index.html) которая будет подключаться непосредственно. Другие кондиционеры VR также, вероятно, будут работать, но не были протестированы. Существует также официальная плата VR, которую можно использовать, см. ссылку слева.

#### SP721 Защита от перенапряжения

Для пользователей, испытывающих трудности с получением SP721, используемых в некоторых версиях, см. информацию о [SP721 Diode Alternate](https://speeduino.com/wiki/index.php/SP721_Diode_Alternate).

### Конфигурация перемычки

В зависимости от типа датчиков кривошипа и кулачка необходимо установить ряд перемычек. Перемычки, которые необходимо установить:

- JP1 - Это определяет, являются ли выходы зажигания 12 В или 5 В. Обратите внимание, что даже если установлено значение 12v, следует **НЕ** подключить их непосредственно к катушке высокого тока. Эти выходы должны поступать только на катушку логического уровня или воспламенитель
- JP2 - Следует ли направлять вход RPM1 (кривошип) через (необязательный) VR-кондиционер. При использовании либо датчика VR, либо датчика Холла, переключающегося между 0 В и 12 В, необходимо установить значение VR.
- JP3 - То же, что и JP2, но для входа RPM2 (Cam)
- JP4 - 10k импульсного резистора для ввода RPM1. При использовании датчика, переключающегося между наземным и плавающим (который является большинством датчиков эффекта Холла), он должен иметь перемычку ("Вкл").
- JP5 - То же, что и JP4, но для входа RPM2 (Cam)

Чтобы упростить эту задачу, ниже приведены наиболее распространенные типы датчиков и их требуемые конфигурации

| Crank Sensor              | Cam Sensor            | JP2  | JP3  | JP4 | JP5 |
|---------------------------|-----------------------|------|------|-----|-----|
| Hall sensor               | -                     | Hall | Off  | On  | Off |
| VR Sensor                 | -                     | VR   | Off  | Off | Off |
| 0v-12v Hall Sensor (Requires VR Conditioner)  | -                     | VR   | Off  | Off | Off |
| Hall sensor               | Floating Hall sensor  | Hall | Hall | On  | On  |
| VR Sensor                 | Floating Hall sensor  | VR   | Hall | Off | On  |

## версии печатной платы

| версия | изменения                                                                                                     | Спецификация                                                                                                              |
|---------|-------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------|
| V0.3.7  | Добавлен bluetooth                                                                                      | [То же, что и v0.3.6](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.3/BOMs/v0.3.6_bom.xlsx) |
| V0.3.6  | Добавлены фильтры к входам кривошипа и кулачка                                                  | [Download](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.3/BOMs/v0.3.6_bom.xlsx)       |
| V0.3.5  | Добавлен гибкий топливный ввод в протообласть. Множество улучшений маршрутизации.                                             | [Download](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.3/BOMs/v0.3.5_bom.xlsx)       |
| V0.3.4  | **Очистка маршрутизации и более полезная шелкография**                                                               | То же, что и v0.3.3                                                                                                   |
| V0.3.3  | Заменена диодная матрица на SP721                                                                             | [Download](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.3/BOMs/v0.3.3_bom.xlsx)       |
| V0.3.2  | Добавлена область Proto. Удален запасной разъем IC (не использовался)                                               | [Download](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.3/BOMs/v0.3.2_bom.xlsx)       |
| V0.3.1  | Перемещен датчик MAP ближе к краю платы. Трассировка бифайера на выходах высокого тока (включая инжекторы) | [Download](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.3/BOMs/v0.3.1_bom.xlsx)       |
| V0.3    | первоначальная версия                                                                                             | [Download](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.3/BOMs/v0.3_bom.xlsx)         |

