---
title: V04 Плата V04 Board
description: 
published: true
date: 2021-01-05T13:13:50.133Z
tags: 
editor: undefined
dateCreated: 2021-01-02T07:23:03.346Z
---

# V04 Плата V0.4 Board
## Обзор

Плата v0.4 - это тестовая плата, разработанная с целью воспроизведения существующих возможностей плат v0.3, но со следующими усовершенствованиями:

- Более низкая стоимость (главным образом из-за уменьшенного размера, но также и некоторых изменений компонентов)
- Более совместим с готовыми корпусами/корпусами
- Параметр драйвера IAC в шаговом стиле
- Имеет один 40 контактный разъем для всех входов/выходов (за исключением питания 12 В)

> **Примечание:** Версия v0.4 **НЕ** предназначена для замены линейки плат v0.3! 2 разработаны с учетом различных целей. Версия 0.4 предназначена для более тесной интеграции в существующую проводку с целью использования интерфейсных плат для легкого подключения через разъем IDC40. Если вы не понимаете интерфейс на плате v0.4 и не считаете, что это лучший вариант для вашей установки, v0.3 вполне может быть лучшим вариантом для вас.
{.is-warning}


## Board Features

The v0.4 boards includes the following features:

-   4 injector channels
-   4 Ignition outputs
-   Fully protected input channels for CLT, IAT, TPS and O2
-   Optional VR conditioner mount on crank and cam inputs
-   MAP sensor mount location
-   DRV8825 stepper module mount location
-   4 medium-current spare outputs (e.g., fuel pump, thermo fan, boost control, VVT, etc)
-   5 unpopulated/configured optional low-current spare outputs in "proto" section, including tachometer-out
-   A single 40-pin IDC connector includes all pins required for the board with the exception of the 12v input

## Physical Layout

Следует отметить, что существуют некоторые различия между различными версиями платы, однако контакты на основном разъеме IDC40 остаются прежними.

Примечание.Штифты инжектора имеют маркировку 1/2 и 2/2, что позволяет легче и четче прокладывать инжекторы для полукоцепных и пакетных режимов. Если для применения требуется менее 4 инжекторов, просто используйте контакт 1/2 или 2/2. Если применение требует 5 или более инжекторов, рекомендуется использовать как 1/2, так и 2/2, когда это возможно, для более равномерного распределения тока от инициирующих катушек инжектора. Посмотрите[Injector Wiring](/wiring/Injector_wiring) для получения более подробной информации. 

![v0_4_board_annotated_1.jpg](/img/boards/v0_4_board_annotated_1.jpg){.align-left width=50%}


| Pin \# | Function                                 |
| ------ | ---------------------------------------- |
| 1      | Injector 1 - Pin 1/2                     |
| 2      | Injector 2 - Pin 1/2                     |
| 3      | Injector 3 - Pin 1/2                     |
| 4      | Injector 3 - Pin 2/2                     |
| 5      | Injector 4 - Pin 1/2                     |
| 6      | Injector 4 - Pin 2/2                     |
| 7      | Ignition 1                               |
| 8      | Ignition 4                               |
| 9      | Ground                                   |
| 10     | Ground                                   |
| 11     | MAP Sensor (0v-5v)                       |
| 12     | Ground                                   |
| 13     | 5v                                       |
| 14     | Proto Area 1 (0.4.4b+ Flex Sensor)       |
| 15     | Proto Area 2 (0.4.4b+ Fan)               |
| 16     | Proto Area 3 (0.4.4b+ Fuel Pump)         |
| 17     | Proto Area 4 (0.4.4b+ Tachometer)        |
| 18     | Proto Area 5 (0.4.4b+ Clutch)            |
| 19     | Coolant (CLT)                            |
| 20     | Inlet Air Temp (IAT)                     |
| 21     | O2 Sensor                                |
| 22     | TPS input                                |
| 23     | Ground                                   |
| 24     | Cam Input / VR2+                         |
| 25     | Crank Input / VR1+                       |
| 26     | VR2- (Not used for hall sensor)          |
| 27     | VR1- (Not used for hall sensor)          |
| 28     | 5v                                       |
| 29     | Idle Stepper 2B                          |
| 30     | Idle Stepper 2A                          |
| 31     | Idle Stepper 1A                          |
| 32     | Idle Stepper 1B                          |
| 33     | Ignition 3                               |
| 34     | Ignition 2                               |
| 35     | Boost                                    |
| 36     | Idle 2 (For use with 3 wire idle valves) |
| 37     | PWM Idle                                 |
| 38     | VVT                                      |
| 39     | Injector 2 - Pin 2/2                     |
| 40     | Injector 1 - Pin 2/2                     |

## Монтаж платы

Сборка полной платы практически идентична v0.3 и остается относительно простой, при этом все компоненты проходят через отверстие и маркируются на плате. Хотя технически не имеет значения, какие компоненты заказа установлены, для простоты рекомендуется следующее:

1. Все резисторы
2. Все диоды (включая LEDS)
3. Все конденсаторы
  > Обратите внимание, что C14 и C16 являются поляризованными конденсаторами, что означает, что они должны быть установлены правильно. Конденсаторы должны иметь знак + с одной стороны. На печатной плате положительная сторона обозначена линией на символе конденсатора.
{.is-warning}

![capacitor_orientation.png](/img/hardware/capacitor_orientation.png){.align-center width=180}

4. Все коллекторы перемычек (JP\*)
5. Контакты Arduino:
    * **Предлагаемый метод**: Разбейте выводы заголовка на требуемые длины и вставьте их в Arduino Mega. Поместите плату поверх верхней части контактов и припоя на место
    * Обратите внимание, что не все контакты на конце двойного ряда должны быть заполнены (хотя это не причиняет вреда). Нечетные пронумерованные контакты (Eg D23, D25.. DD53), не нуждаются в булавках на них.
6.  Разъем IDC 40
7.  Разъемы IC
8.  Все винтовые клеммы
9.  Все MOSFET
10.  Регулятор мощности
11.  Датчик MAP (если используется)
  >  **ПРИМЕЧАНИЕ:** ВСЕ самосборные платы имеют датчик MAP с отверстием вверху. Все собранные платы обычно имеют отверстие на дне
{.is-warning}


### Видеоролик с инструкциями по сборке

Это видео предназначено для системной платы v0.3, но оно в значительной степени относится и к конструкциям v0.4.

<center>
<iframe width="560" height="315" src="https://www.youtube.com/embed/IjKlmIi_Dug" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</center>

## Конфигурация платы

Плата может быть сконфигурирована несколькими способами в зависимости от используемого оборудования и способа настройки.

### Выходы платы по умолчанию

Несколько функций в Speeduino имеют регулируемые выходы или могут быть установлены на Board Default. Ниже приведены выводы по умолчанию для версии 0.4, однако при необходимости все эти функции можно переназначить другим выводам (например, для использования встроенных выходов с высоким током).

| Function                    | Board output                     | Arduino pin |
|-----------------------------|----------------------------------|-------------|
| Boost control               | IDC Pin 35                       | 7           |
| VVT                         | IDC Pin 38                       | 4           |
| Idle 1                      | IDC Pin 37                       | 5           |
| Idle 2 (3 wire idle valves) | IDC Pin 36                       | 6           |
| Fuel pump                   | Proto area (45) (0.4.4b+ IDC 16) | 45          |
| Fan                         | Proto area (47) (0.4.4b+ IDC 15) | 47          |
| Tacho                       | Proto area (49) (0.4.4b+ IDC 17) | 49          |
| Launch / Clutch             | Proto area (51) (0.4.4b+ IDC 18) | 51          |

### Необязательные компоненты

При использовании датчика кривошипа VR для платы потребуется установка кондиционера VR. Плата предназначена для работы с двойным кондиционером VR от JBPerf (http://www.jbperf.com/dual_VR/index.html), который подключается непосредственно. В течение некоторого времени они находились вне запаса для непосредственной закупки, но могут быть созданы из списка деталей, поскольку инструкции все еще доступны.

There is also an [official VR board](https://speeduino.com/shop/home/17-dual-vr-conditioner.html) that can be purchased from the speeduino shop which also plugs in directly.

Большинство реселлеров-партнеров имеют собственные кондиционеры с другими функциями, такими как светодиоды, для тех случаев, когда сигнал срабатывает высоко/низко. Другие сторонние кондиционеры VR также, вероятно, будут работать, но очевидно, что не все конфигурации могут быть проверены.


#### SP721 Защита от перенапряжения

Для пользователей, испытывающих трудности с получением SP721, используемых в некоторых версиях, см. информацию о [SP721 Diode Alternate](/wiring/SP721_Diode_Alternate)

### Конфигурационные элементы перемычек

В зависимости от типа датчиков кривошипа и кулачка необходимо установить ряд перемычек.

Некоторые датчики VR могут передавать высокое напряжение переменного тока на плату arduino. Если вы не уверены, что тип вашего датчика идентифицирует его перед подключением к плате. Используя датчик СТАБИЛОВОЛЬТА с «прямыми» булавками, закрытыми (JP2) и или (JP3), может нанести ущерб микропроцессору. Опасность!

Перемычки, которые необходимо установить:

-   JP1 - Это определяет, являются ли выходы зажигания 12 В или 5 В. Обратите внимание, что даже если установлено значение 12v, следует\*\* NOT\*\* подключить их непосредственно к катушке высокого тока. Эти выходы должны поступать только на катушку логического уровня или воспламенитель
-   JP2 - Следует ли направлять вход RPM1 (кривошип) через (необязательный) VR-кондиционер. При использовании либо датчика VR, либо датчика Холла, переключающегося между 0 В и 12 В, необходимо установить значение VR.
-   JP3 - То же, что и JP2, но для входа RPM2 (Cam)
-   JP4 - Толкающий резистор 1k для входа RPM1. При использовании датчика, переключающегося между наземным и плавающим (который является большинством датчиков эффекта Холла), он должен иметь перемычку ("Вкл").
-   JP5 - То же, что и JP4, но для входа RPM2 (Cam)

Чтобы упростить эту задачу, ниже приведены наиболее распространенные типы датчиков и их требуемые конфигурации.

| Crank Sensor              | Cam Sensor            | JP2  | JP3  | JP4 | JP5 |
|---------------------------|-----------------------|------|------|-----|-----|
| Hall sensor               | -                     | Hall | Off  | On  | Off |
| VR Sensor                 | -                     | VR   | Off  | Off | Off |
| Hall sensor               | Hall sensor           | Hall | Hall | On  | On  |
| VR Sensor                 | Hall sensor           | VR   | Hall | Off | On  |

### 40-контактное соединение

Провода можно припаивать непосредственно к плате или использовать разъемы IDC (контакт смещения изоляции). 40-контактный IDC является разъемом, который использовался в ленточных кабелях дисковода компьютера в течение многих лет, и могут использоваться старые компьютерные кабели. Более тяжелый кабель, называемый кабелем DuPont, рекомендуется для длительного использования. Позднее в течение срока службы интерфейсов IDE/ATA скорость была увеличена, и для этого потребовался новый мелкодисперсный 80-проводный кабель. Эти кабели * * НЕ * * совместимы. Некоторые из штырей соединены вместе, что приводит к высвобождению волшебного синего дыма.

## Ревизии печатной платы

| Версия| Изменения                                                                                                                                                                                                | Спецификация                                                                                                        |
|---------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------|
| V0.4.4b | Новая конструкция платы SMD с дополнительными встроенными драйверами и защитными цепями. Он электрически и физически совместим со всеми другими версиями версии 0.4. Только официально продаются как комплектные платы                   | Не требуется                                                                                               |
| V0.4.4  | Модифицирована для упрощения автоматизированной сборки, включая некоторые компоненты SMD и установку датчика давления с плоской стороны вверх. Добавлен переключатель запуска/программы. Только официально продаются как комплектные платы                 | Не требуется                                                                                               |
| V0.4.3  |Конденсаторы фильтра добавляются как к первичному, так и к вторичному входам частоты вращения. На вход вторичной частоты вращения добавлен зажим напряжения. Гибкий расход топлива, добавленный к протообласти                                                      | [Download](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.4/BOMs/v0.4.3_bom.xlsx) |
| V0.4.2  | Значительное число улучшений маршрутизации. Макет аккуратной протообласти. Зажим напряжения, добавленный к входу первичной частоты вращения                                                                                      | [Download](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.4/BOMs/v0.4.2_bom.xlsx) |
| V0.4.1  | Добавлена область Proto. Заменена диодная матрица на SP721. Добавлено дополнительное выходное гнездо высокого тока (J5). Диод перемещен на цепи питания, чтобы предотвратить обратную подачу 5 В USB на рейку 12 В при выключении зажигания | То же, что и v0.4.2                                                                                             |
| V0.4    | первоначальная версия                                                                                                                                                                                       | [Download](https://github.com/noisymime/speeduino/raw/master/reference/hardware/v0.4/BOMs/v0.4_bom.xlsx)   |

