---
title: Настройка ускорения
description: Tuning the acceleration enrichment
published: true
date: 2021-01-02T18:38:27.373Z
tags: 
editor: undefined
dateCreated: 2021-01-02T04:18:44.187Z
---

# Обогащение при ускорении  Acceleration Enrichment (AE)

Обогащение при разгоне путём подачи дополнительного топлива в течение короткого переходного периода после быстрого открытия дроссельной заслонки. Он выполняет ту же функцию, что и ускорительный насос на карбюраторном двигателе, увеличивая количество подаваемого топлива до тех пор, пока показания давления в коллекторе не подстраиваются на основе новой нагрузки.

> Для правильной работы AE по датчику открытия дроссельной заслонки необходимо откалибровать этот датчик.
{.is-info}


## Теория

Настройка обогащения при ускорении основана на скорости изменения положения дросселя, переменной, известной как TPSdot (дельта TPS с течением времени). Это измеряется в %/с, причем более высокие значения представляют собой более быстрые нажатия дросселя и значения в диапазоне от 50 %/с до 1000 %/с являются нормальными. Например,:

- 100%/s = поворот дросселя от 0% до 100% за 1 секунду
- 1000%/s = поворот дросселя от 0% до 100% за 0.1 секунду

TPSdot образует ось X кривой ускорения, причем значение оси Y представляет увеличение топлива в%.

![Acceleration Enrichment curves](/img/tuning/accel.png){.align-center width=500}

### Настройка

Кривая обогащения, включенная в базовую настройку Speeduino, является хорошей отправной точкой для большинства двигателей, но некоторая регулировка является нормальной в зависимости от размера инжектора, диаметра дросселя и т.д

В большинстве случаев настройка кривой AE может быть выполнена в стационарной среде, хотя также возможна настройка с помощью диномометра или на трассе. Следует выполнить быстрое и медленное нажатие дроссельной заслонки и контролировать воздействие на AFR с помощью графика в режиме реального времени в диалоговом окне AE. На этом графике показаны значения TPSdot и AFR, синхронизированные друг с другом, что позволяет проще идентифицировать правильную часть кривой AE.

Если вы обнаружите, что AFR изначально хороша, но затем идет краткое обеднение, вы должны увеличить настройки "Accel Time", с приращениями 10-20 мс рекомендуется.

### Ложное срабатывание False triggering

В случаях, когда сигнал TPS является шумным, пики в его показаниях могут неправильно вызвать увеличение ускорения. Это можно увидеть в файле журнала или в TunerStudio путем активации индикатора "TPS Accel", когда не происходит (или незначительно) движение дросселя. 

Если это происходит (и предполагается, что проводка TPS не может быть исправлена для уменьшения шума), то ложные триггеры могут быть предотвращены для запуска AE путем увеличения значения "TPSdot Threshold". Оно должно увеличиваться с шагом ~ 5 %/с, приостанавливаясь между каждым увеличением, чтобы убедиться, что AE все еще неправильно активируется.

### Поля Fields

- **Enrichment Mode**
Выберите, использовать ли датчик положения дросселя или абсолютное давление во впуске для обагощения при ускорении.
- **TPSdot Threshold**
Процент изменения положения дросселя в секунду, необходимый для запуска обогащения при ускорении. Например, если установлено значение 70, положение дросселя должно изменяться со скоростью 70% в секунду, чтобы обогащение ускорения стало активным.
- **MAPdot Threshold**
Совпадает с TPSdot Threshold, но применяется при использовании режима по датчику давления во впуске MAP.
- **Accel Time**
Продолжительность обогащения при ускорении. После запуска обогащения оно будет длиться столько миллисекунд.
- **Taper Start RPM, Taper End RPM**
Масштабирование степени обогащения при различных оборотах в минуту. Если RPM меньше или равно Start RPM, обогащение будет составлять 100% от вычисленного значения обогащения на основе видимого значения TPSdot (или MAPdot). Если RPM больше или равно End RPM, обогащение будет равно 0%. По мере увеличения RPM общее количество требуемого обогащения уменьшается. Обогащение линейно масштабируется между этими значениями. 
- **Cold Adjustment**
Линейное масштабирование процента увеличения ускорения на основе температуры охлаждающей жидкости (температуры цилиндра для ДВС воздушного охлаждения). При начальной температуре регулировка будет равна полю холодной регулировки (%). При конечной температуре регулировка будет 0%.
- **Deceleration Fuel Cutoff**
Прекращает впрыск топлива, когда:
 *RPM is above **Cutoff RPM** обороты выше оборотов отсечки
 TPS is below **TPS Threshhold** закрытие заслонки ниже заданного
 Температура ДВС выше **Minimum engine temperature**
 Вышеуказанные условия выполнены для **Cutoff delay** секунд*
 ** гистерезис оборотов может быть отрегулирован для предотвращения случайного торможение двигателем.