---
title: Время выдержки катушек Dwell
description: 
published: true
date: 2021-01-02T19:12:22.503Z
tags: 
editor: undefined
dateCreated: 2021-01-02T04:24:31.931Z
---

# Контроль времени выдержки
## Обзор
Диалоговое окно управления временем насыщения катушки зажигания изменяет время зарядки катушки (выдержка) для выходов зажигания Speeduino. При таких настройках следует соблюдать осторожность, так как модули зажигания и катушки могут быть навсегда повреждены, если они будут выдерживаться слишком долго.

Начиная с апреля 2017 года, выдержка будет автоматически сокращаться, когда настроенная продолжительность больше, чем доступное время при текущей скорости вращения. Это распространено в одноканальных конфигурациях зажигания (катушка с распределителем) и, в частности, в двигателях с более высоким числом цилиндров.

## Настройки
![dwell.png](/img/ignition/dwell.png){.align-center width=400}

**Примечание:** Как время работы, так и время прокрутки времена выдержки являются номинальными значениями, предполагаемыми при постоянном напряжении (обычно 12 В). Используемое фактическое время выдержки будет зависеть от текущего напряжения системы с более высокими напряжениями, имеющими более низкие времена выдержки, и наоборот. См. раздел ниже, посвященный коррекции напряжения

- Cranking dwell - Номинальное время выдержки, которое будет использоваться при прокрутке. Прокрутка определяется как выполняемая при частоте вращения выше 0, но ниже значений "Обороты прокрутки" [Cranking](Cranking "wikilink")
- Running dwell - Номинальное время выдержки, которая будет использоваться при нормальной работе двигателя.
- Spark duration - Приблизительное время полного разряда катушки. Это время используется для вычисления уменьшенного времени пребывания в условиях ограниченного времени, таких как упомянутые выше для двигателей с общей катушкой и большим числом цилиндров. Ограниченное время выдержки вычисляется путем взятия максимального времени вращения при заданных оборотах в минуту, деления на количество искровых выходов, требуемых для каждого оборота, и вычитания длительности искры. Вне этих условий этот параметр не используется.
- Over dwell protection - Система защиты от перегрузки работает независимо от стандартных графиков зажигания и контролирует время, в течение которого каждый выход зажигания был активен. Если активное время превышает это значение, выход будет закончен для предотвращения повреждения катушек. Это значение обычно должно быть, по меньшей мере, на 3 мс выше, чем номинальное время пребывания, сконфигурированное выше, для того, чтобы позволить накладные расходы для коррекции напряжения.

## Коррекция по напряжению Voltage correction
По мере роста и падения напряжения системы время пребывания должно соответственно уменьшаться и увеличиваться. Это позволяет обеспечить постоянную искровую прочность без повреждения катушки/катушек в условиях высокого напряжения системы. Рекомендуется использовать 12 В в качестве "номинального" напряжения, что означает, что показатель Dwell% при 12 В должен быть 100%.

Базовая кривая коррекции должна подходить для большинства катушек/модулей зажигания, но может быть изменена при необходимости.

![dwell_correction.png](/img/ignition/dwell_correction.png){.align-center width=450}
