---
title: Постоянные  Двигателя
description: 
published: true
date: 2021-01-02T18:39:38.070Z
tags: 
editor: undefined
dateCreated: 2021-01-02T04:25:38.753Z
---

# Постоянные Мотора (Constants)
## Обзор

Из меню Settings, выберите Constants

![TS_8.png](/img/TunerStudio/TS_8.png){.align-center width=300}

Здесь необходимо настроить постоянные двигателя. Заполните поля в нижней части перед вычислением требуемого количества топлива (Required Fuel).

## Конфигурация (Configuration)

![engine.png](/img/constants/engine.png){.align-center width=400}

### Калькулятор необходимого количества топлива (Required Fuel Calculator)
Требуемый калькулятор топлива определяет теоретическое время впрыска топлива, которое требуется при 100% заполнении (объемной эффективности VE). Это определяется знанием объема двигателя, размера и количества топливных форсунок и количества впрысков, которые будут выполняться в каждом цикле. Увеличение этого показателя приведет к общему увеличению количества топлива, которое впрыскивается **во всех точках** карты VE (И наоборот).

> Необходимо установить все значения в `Settings` разделе перед выполнением расчета потребного количества топлива `Required Fuel`{.is-info}


### Параметры Настройки (Settings)
- **Control  algoritm - Топливный алгоритм:** Источник нагрузки, который будет использоваться для топливной таблицы
- **Squirts per Engine Cycle:** Как много впрысков на цикл двигателя (720 градусов для 4тактного). Большинству двигателей не нужны значения более 4. Для последовательного впрыска значение должно быть равно 2, а установка "Alternating" 1
  - Обратите внимание, что для 3 и 5 впрысков, вы должны иметь сигнал от распредвала в дополнение к сигналу коленвала.
- **Injector Staging:** Это настраивает стратегию синхронизации, используемую для инжекторов.
  - **Alternating** (Рекомендуется в большинстве случаев) - Инжекторы синхронизированы для ВМТ каждого цилиндра. Точный угол закрытия может быть определен в диалоговом окне "Injector Characteristics".
  - **Simultaneous** - Все инжекторы прыскают вместе на основе ВМТ цилиндра 1.
- **Engine stroke:** Двигатель 2 или 4 тактный
- **Number of cylinders:** Число цилиндров. Для ванкеля выберите 4.
- **Injector Port Type:** В настоящее время не поддерживается. Выбор ничего не изменяет
- **Number of injectors:** Количество инжекторов. Обычно равно числу цилиндров
- **Engine Type:** Тип двигателя. Для некоторых V-двигателей должна быть дополнительная настройка.
- **Injector Layout:** Размещение форсунок
  - **Paired:** Парные - по 2 форсунки на канал. Число используемых каналов равно половине числа цилиндров.
  - **Semi-Sequential:** Полупоследовательные: То же что и для парных но инжекторные каналы зазеркалены (1&4, 2&3) означая что число цилиндров равно числу каналов. Только для 4 или менее цилиндров.
  - **Sequential**: Последовательный - по 1 форсунке на канал выхода инжектора. Число каналов равно числу форсунок. Впрыск синхронизируется по всем цилиндрам. Только для 4 или менее цилиндров.
- **Board Layout:** Определяет компоновку контактов ввода/вывода на основе используемой платы Speeduino. Для получения подробной информации об этих сопоставлениях контактов см. файл utils.ino
- **MAP Sample Method:** Как будут обрабатываться показания датчика MAP:
  - **Instantaneous:** мгновенный - как есть. Создает сигнал с высокой неравномерностью, но может быть полезным для тестирования
  - **Cycle Average:** - среднее по циклу. Используется среднее значение датчика для 720 градусов поворота кривошипа. Это среднее значение рекомендуется для 4 и большего количества цилиндров
  - **Cycle Minimum:** - наименьшее по циклу. Используется наименьшее значение, обнаруженное для 720 градусов. Это рекомендуемый метод для менее чем 4 цилиндров или множестве дроссельных заслонок.
  - **Event Average:** Аналогично Cycle Average, однако выполняет усреднение один раз за цикл зажигания, а не один раз за цикл. Обычно предлагает более быстрый отклик с аналогичным уровнем точности.