---
title: Гибкое топливо (с этиловым спиртом) Flex Fuel
description: Setting up the flex fuel / ethanol content sensor
published: true
date: 2021-01-04T17:07:41.185Z
tags: 
editor: undefined
dateCreated: 2021-01-02T04:27:27.299Z
---

# Гибкое топливо (с этиловым спиртом) Flex Fuel

## Обзор

Speeduino обладает способностью изменять параметры топлива и зажигания на основе содержания этанола в используемом топливе, что обычно известно как гибкое топливо. Датчик этанола устанавливается в линии подачи или возврата топлива, а сигнальный провод используется в качестве входного сигнала на плате Speeduino.

Поскольку этанол является менее плотным по энергии, но также имеет более высокий эквивалентный октановый показатель, требуются регулировки топливной нагрузки и опережения зажигания.

## Аппаратное обеспечение Hardware

Speeduino использует любой из стандартных топливных датчиков GM/Continental Flex, которые широко доступны и использовались в широком диапазоне транспортных средств. Они были доступны в 3 различных единицах, все из которых функционально идентичны, при этом основным отличием были только физический размер и разъем. Номера деталей для них:

-   Маленький - \#13577429
-   Среднего размера - \#13577379
-   Широкий - \#13577394 (Тот же, что и среднеразмерный, но с более длинными трубами)

Все 3 используют вариант разъема серии Delphi GT150. Можно использовать общий соединитель GT150, но придется отцепить 2 вкладки со стороны датчика.

Part numbers :

-   Корпус (\#13519047)
-   Контакты (\#15326427)
-   Уплотнение (\#15366021)

Кроме того, имеется GM-деталь для соединителя электрического жгута, номер детали 13352241: <http://www.gmpartsdirect.com/oe-gm/13352241>

### Схема Wiring

All units are wired identically and have markings on the housing indicating what each pin is for (12v, ground and signal) Speeduino boards v0.3.5+ and v0.4.3+ have an input location on their proto areas that the signal wire can be directly connected to.

Все блоки подключены идентично и имеют маркировку на корпусе, указывающую на то, что каждый вывод предназначен для плат Speeduino v0.3.5 + и v0.4.3 + (12 В, земля и сигнал), а также на место входа, к которому можно непосредственно подключить сигнальный провод.

## Настройка
![flex_settings.png](/img/flex/flex_settings.png){.align-center width=450}

-   **Sensor frequency -** Минимальная и максимальная частота датчика, представляющие 0% и 100% этанола соответственно. Для стандартных гибких датчиков GM/Continental эти значения составляют 50 и 150
-   **Fuel multiplier% -** Это дополнительное топливо, которое должно добавляться по мере увеличения содержания этанола. Низкое значение слева представляет корректировку на карту топлива при 0% этанола и обычно составляет 100%, если базовая настройка выполнялась с E0 топливом. Если базовая мелодия была выполнена с E10 или E15 однако, это значение может быть отрегулировано ниже 100%. Высокое значение представляет множитель топлива при 100% этанола (E100), а значение по умолчанию 163% основано на теоретической разнице в плотности энергии между E0 и E100. Может потребоваться настройка этого значения
-   **Additional advance -** Дополнительные углы опережения, которые будут применяться по мере увеличения содержания этанола. Это количество линейно увеличивается между низким и высоким значениями и добавляется после применения всех других модификаторов зажигания.
