---
title: Холостой ход Idle
description: 
published: true
date: 2021-01-03T05:27:34.327Z
tags: 
editor: undefined
dateCreated: 2021-01-02T04:32:55.051Z
---

# Управление Холостым ходом Idle Control
## Обзор
Выводы управления холостым ходом используются для изменения состояния клапана управления холостым ходом для изменения количества воздуха, поступающего в двигатель на холостом ходу. Они поставляются в нескольких типах (описаны ниже), каждый из которых конфигурируется и настраивается по-разному. 

Управление холостым ходом по открытому и замкнутому контуру доступно как для клапанов холостого хода ШИМ, так и для лапанов холостого хода на шаговых моторах. 

## Совместимые типы клапанов холостого хода

В настоящее время доступны 3 режима управления холостым ходом
- с использованием включения/выключения
- ШИМ регулированием
- на шаговых моторах.
Это охватывают наиболее распространенные типы используемых механизмов.

### С использованием включения/выключения On/Off (aka Fast Idle)

Это простой цифровой "переключатель" на выходе Speeduino, который срабатывает при выбранной температуре. Он предназначен для управления включенным/выключенным быстродействующим клапаном, как во многих старых установках OEM, или открытым/закрытым электромагнитным клапаном, который выбран для этой цели. В дополнение к нерабочим клапанам OEM, примерами клапанов, популярных для повторного использования в качестве двухпозиционных нерабочих клапанов, являются большие вакуумные, дыхательные или продувочные клапаны и даже топливные клапаны. Регулировка скорости холостого хода обычно устанавливается только один раз с помощью встроенного или фиксированного ограничителя, зажимного зажима или другого простого способа управления потоком.

<center>
<img src="http://i.imgur.com/yu5YIbY.png" width="150px" />

<img src="http://i.imgur.com/rAYzaop.png?1" width="150px" />

<img src="http://i.imgur.com/wUvNNwm.png?1" width="150px" />
</center>

*Замечание: Двухпозиционные клапаны могут использоваться многими способами для увеличения или уменьшения расхода воздуха для различных целей простоя в дополнение к прогреву. Примерами являются использование в качестве заслоночных клапанов для уменьшения остановки замедления, восстановление скорости холостого хода для поддержания частоты вращения двигателя с дополнительными нагрузками, такими как кондиционирование воздуха, или добавление воздуха для конкретных целей, таких как управление турбо-замедленным воздухом. Посмотрите [Generic Outputs](Generic_Outputs "wikilink") для информации.*

### ШИМ регулирование PWM

По конструкции аналогичен многим электромагнитным двухпозиционным клапанам; [PWM](https://www.arduino.cc/en/Tutorial/PWM) клапаны холостого хода предназначены для изменения открытия и, следовательно, потока через клапан путем установки клапана ШИМ.

Эти клапаны открываются и закрываются путем изменения рабочего цикла подаваемого на них сигнала. 

> ** Примечание: ** В качестве отказоустойчивого устройства некоторые неактивные клапаны ШИМ по умолчанию находятся в частично открытом состоянии, когда они отключены или получают рабочий цикл 0%. Они закроются, а затем снова откроются с увеличением PWM DC%, поэтому обязательно изучите или протестируйте тип клапана для правильной работы.
{.is-info}


#### ШИМ настройки PWM Settings

Настройки в TunerStudio включают выбор управления холостым ходом ШИМ, настройки температуры и постоянного тока для прогрева и ШИМ постоянного тока во время прокрутки при следующих вариантах выбора:

![Example PWM idle settings](/img/idle/pwm_menu.png){.align-center width=350}

'*Idle - PWM Duty Cycle*' и '*Idle - PWM Cranking Duty Cycle*' опции доступны только если '*PWM Open Loop*' выбран в параметрах управления холостым ходом

В разделе Тип управления в режиме холостого хода, выбран PWM:

![Example PWM idle settings](/img/idle/pwm_settings.png){.align-center width=400}

Температура по отношению к постоянному току выбирается при выборе "Idle - PWM Duty Cycle". Обратите внимание, что взаимосвязь между температурой и ШИМ DC может быть изменена простым перемещением синих точек на кривой или выбором таблицы для ручного ввода, как показано здесь:

![Example PWM idle curve](/img/idle/pwm_curve.png){.align-center width=400}

Некоторые двигатели предпочитают дополнительный воздушный поток при прокрутке для надежного запуска. Этот воздух может быть автоматически добавлен только во время прокрутки с помощью настроек Idle - PWM Cranking Duty Cycle. После запуска двигателя и повышения частоты вращения выше установленной максимальной частоты вращения прокрутки регулятор малого газа переключается на предыдущие настройки прогрева. Обратите внимание, что зависимость между температурой хладагента во время прокрутки и PWM DC может быть изменена простым перемещением синих точек на кривой или выбором таблицы для ручного ввода, как показано здесь:

![Example PWM cranking curve](/img/idle/pwm_cranking_curve.png){.align-center width=400}

> *** ПРИМЕЧАНИЕ: ** Каждый двигатель, тип клапана и конфигурация различны. Соответствующие настройки должны определяться вами. Не выводите параметры настройки из изображений этого вики-сайта. Это лишь примеры.*
{.is-warning}

##### 2 и 3 проводные клапаны

Поддерживаются как 2-проводные, так и 3-проводные ШИМ контроллеры. Как правило, модели проводов 3 обеспечивают более гладкую реакцию, чем модели проводов 2, но разница не всегда существенна. Для 3 проводных клапанов потребуется 2 выхода Aux.

<center>
<img src="http://i.imgur.com/QfDesZC.png" width="150px" />
</center>

### Шаговые моторы Stepper Motors

Управление холостым ходом шагового двигателя очень распространено в GM и других заводских исполнениях. Эти двигатели обычно имеют 4 провода (биполярные). Они должны приводиться в действие через силовые транзисторы или модуль драйвера, например [DRV8825 stepper motor driver](https://www.pololu.com/product/2133) опционально для платы v0.4. Эти модули драйверов можно приобрести недорого у различных поставщиков на таких сайтах, как eBay, Amazon и т.д..

Большинство шаговых клапанов холостого хода функционируют, поворачивая резьбовой шток в корпус клапана, увеличивая или уменьшая воздушный поток. Воздушный поток обходит корпус первичного дросселя:

<center><img src="http://i.imgur.com/ZAhTLrs.png" width="150px" /></center>

Пример универсального модуля драйвера DRV8825 на плате v0.4:

<center><img src="http://i.imgur.com/nHMXFNK.png" width="150px" /></center>

Обратите внимание, что плата установлена в стойке для охлаждения воздухом:

<center><img src="http://i.imgur.com/L65i6z1.png" width="150px" /></center>

Выходы DRV8825 двигателя помечены как A2-A1-B1-B2, и примеры подключения проводов относятся к этой маркировке. Проверьте схемы на наличие выходных соединений, которые направляются к этим DRV8825 выходам:

<center><img src="http://efistuff.orgfree.com/images/DRV8825_Motor_Wiring.png" width="150px" /></center>

Примеры проводки к драйверу DRV8825:

<center><img src="http://efistuff.orgfree.com/images/IAC_DSM_95-99.png" width="150px" /></center>

Стиль GM "прикрутить" использовался с 1982 по 2003 год на многих моделях:

<center><img src="http://efistuff.orgfree.com/images/IAC_GM_82-03.png" width="150px" /></center>

#### Регулировка тока шагового драйвера Stepper Driver Current Adjustment

Модуль DRV8825 шагового привода включает потенциометр (регулируемый резистор), обозначенный желтой стрелкой на рисунке ниже. Потенциометр используется для установки максимального предела тока на выходе драйвера. Поскольку Speeduino использует полноступенчатую работу, текущий предел не является критическим для защиты модуля, а должен быть скорректирован в соответствии с максимальным значением модуля для лучшей работы большинства автомобильных шаговых IAC.

<center><img src="http://i.imgur.com/1U3IQgF.jpg" width="150px" /></center>

Вам понадобится мультиметр или вольтметр, чтобы выполнить настройку, как описано здесь. Чтобы установить максимальный ток потенциометра перед первым использованием, убедитесь, что питание модуля выключено, затем осторожно поверните линейку потенциометра по часовой стрелке до внутреннего предела. ** Не нажимайте регулировку за пределы внутренней остановки. ** Включите Speeduino с 12V, и используйте измеритель для проверки напряжения между центром потенциометра и любой 12V точкой заземления. Обратите внимание на показания напряжения. Выключите питание и повторите испытание, на этот раз повернув потенциометр против часовой стрелки до внутреннего предела. Направление тестирования, приведшее к повышению напряжения, является правильной настройкой для модуля.

*Примечание.Исходные модули Pololu обычно настраиваются по часовой стрелке для максимального напряжения. Однако модули клонов могут быть по часовой стрелке или против часовой стрелки, что делает это тестирование необходимым.*

Номинальный * непрерывный * ток модуля составляет до 1.5A. В то время как модуль может подавать максимум 2.2A тока; в полноступенчатом режиме и с потенциометром, отрегулированным в этом положении, драйвер ограничен приблизительно 70% полного тока, или приблизительно 1.5A.

#### Настройки шагового Stepper Settings

Настройки в TunerStudio включают выбор шагового управления холостым ходом, температуры и ступенчатых настроек для прогрева, а также открытие шагов во время прокрутки при следующих вариантах выбора:

<center>
<img src="http://i.imgur.com/hC15oxv.png" width="450px" />
</center>

В разделе Тип управления в режиме ожидания выбран клапан на шаговом приводе. В этом окне также находятся основные рабочие настройки клапана.:

![Stepper idle settings](/img/idle/stepper.png){.align-center width=350}

* **Step time:** Именно столько времени (в мс) требуется двигателю для выполнения каждого шага. Если это установлено слишком низко, холостой двигатель не завершит этап, прежде чем ЭБУ попытается сделать следующий, что приводит к "подергиванию" двигателя и его неправильной работе. Если этот параметр установлен дольше, чем требуется, то для каждой корректировки потребуется больше времени, и общая реакция на бездействие будет более медленной. Типичные значения обычно составляют 2-4 мс. Общий шаговый двигатель GM требует 3 мс.
* **Cool time:** Для правильной работы некоторых двигателей требуется небольшая пауза между шагами. Это известно как "время охлаждения." Обычно это значение составляет не более 4 мс, при этом многие двигатели работают нормально без периода охлаждения (0 мс).
* **Home Steps:** Шаговые двигатели должны быть "установлены" перед их использованием, чтобы блок пиролиза знал их текущее положение. Необходимо установить максимальное количество шагов, которое может быть перемещено двигателем.
* **Minimum steps:** Для обеспечения плавного холостого хода, который постоянно не колеблется, ЭБУ перемещает двигатель только в том случае, если требуется, по меньшей мере, такое количество шагов. Типичные значения находятся в диапазоне 2-6, однако при наличии шумной сигнальной линии жидкости охлаждения это значение может потребоваться увеличить.
* **Don't exceed:** Чтобы предотвратить попытку шагового двигателя выйти за пределы максимального диапазона, это ограничение накладывается на общее количество шагов, которые будут выполнены. Значение в этом поле всегда должно быть меньше количества шагов наведения

Зависимость температуры от шагов выбирается при выборе "Холостой ход - шаговый двигатель". Обратите внимание, что взаимосвязь между температурой и шагами двигателя может быть изменена простым перемещением синих точек на кривой или выбором таблицы для ручного ввода, как показано здесь:

![Example stepper idle curve](/img/idle/stepper_curve.png){.align-center width=400}

Некоторым двигателям предпочительно добавить дополнительный воздушный поток при прокрутке стартером для надежного запуска. Этот воздух может быть автоматически добавлен только во время прокрутки с помощью настроек Idle - Stepper Motor Cranking. После запуска двигателя и повышения частоты вращения выше установленной максимальной частоты вращения холостого хода регулятор холостого хода переключается на предыдущие настройки прогрева. Обратите внимание, что зависимость между температурой хладагента во время прокрутки и шагов двигателя может быть изменена простым перемещением синих точек на кривой или выбором таблицы для ручного ввода, как показано здесь:

![Example cranking stepper curve](/img/idle/stepper_curve_cranking.png){.align-center width=400}

> *** ПРИМЕЧАНИЕ: ** Каждый двигатель, тип клапана и конфигурация различны. Соответствующие настройки должны определяться тюнером. Не выводите параметры настройки из изображений этого вики-сайта. Это лишь случайные примеры.*
{.is-info}


*** ПРИМЕЧАНИЕ: ** См. [Pololu video](https://www.pololu.com/product/2133/faqs) инструкции по установке максимального уровня тока привода DRV8825 для большинства полноступенчатых шаговых двигателей автомобилей. *

#### Примеры

| Шаговый        | время шага  | число шагов  |
|----------------|-------------|--------------|
| GM 4-провода   | 3           | 250          |
| DSM 4-провода  | 4           | 270-320      |

* ** ПРИМЕЧАНИЕ: ** В то время как нормальная ступенчатая функция DSM видна при комнатной температуре в течение 3 мс, пропуск шага происходит как раз при этой скорости. Очень холодные температуры могут привести к пропуску, поэтому рекомендуется 4 мс. Протестируйте наиболее подходящие скорости для вашей установки *.

### Самостоятельные клапаны (не электронные)

Несмотря на то, что Speeduino не работает в режиме холостого хода, он совместим с автономными клапанами холостого хода, которые являются саморегулируемыми. Примерами этого являются термический воск или двухметаллические пружинные клапаны холостого хода или вспомогательные воздушные клапаны, подобные приведенному ниже. Внутренний расширяющийся и сжимаемый материал открывает и закрывает воздушные клапаны, обеспечивая повышенный расход воздуха и частоту вращения двигателя при холоде для прогрева. Speeduino работает, чтобы обогатить холодный двигатель и настроить на дополнительный воздух, точно так же, если бы вы открыли дроссель слегка.

<center><img src="http://i.imgur.com/I9Wc9p2.png" width="150px" /></center>

Другими примерами автономных клапанов являются простые двухпозиционные клапаны, как показано в следующем разделе, управляемые недорогими термическими переключателями, такими как:

<center><img src="http://i.imgur.com/YImLboR.png" width="150px" /> <img src="http://i.imgur.com/nHEt5a5.png" width="150px" /> <img src="http://i.imgur.com/E13Z9Op.png" width="150px" /></center>

## Управление по замкнутому контуру Closed Loop Control

Управление холостым ходом по замкнутому контуру осуществляется путем установки целевых значений частоты вращения вместо непосредственного конфигурирования рабочего цикла или шагов. Используется алгоритм PID, который может быть настроен на соответствие используемому клапану/двигателю.

### Closed loop settings

### Closed loop targets