---
title: Регулирование холостого хода опережением Idle advance
description: Controlling idle speed with changes to advance
published: true
date: 2021-01-03T06:02:09.670Z
tags: 
editor: undefined
dateCreated: 2021-01-02T04:33:55.933Z
---

# Регулирование холостого хода углом опережения Idle advance control
Управление скоростью холостого хода может осуществляться без использования клапана холостого хода, а с помощью регулировки угла опережения. Эта функция ссылается на ту же целевую кривую холостых оборотов, которая используется управлением холостыми оборотами по замкнутому контуру, и затем корректирует опережение на основе разницы между реальными и заданными оборотами.

## Настройки Settings
![idle_advance.png](/img/idle/idle_advance.png){.align-center}

* **Idle advance mode** варианты
	* **Added** - Это наиболее распространенный вариант, который изменяет опережение, добавляя (или вычитая) определенное число градусов на основе величины разницы оборотов (между заданными и фактическими).
  * **Switched** - Опережение зажигания будет переключаться на значения кривой опережения холостого хода, а не регулировать обычные значения опережения.
* **Idle detect mode** - определяет, находится ли он в состоянии холостого хода или нет. Чаще всего это основано на переменной дроссельной заслонки TPS и определенном % открытия заслонки, но если доступен переключатель с замкнутым дросселем (CTPS), его можно использовать вместо этого.
* **Delay before idle control** - позволяет организовать задержку при торможении до изменения опережения зажигания.
* **Active below** - Максимальная частота вращения, при которой активизируется управление опережения холостого хода
* **Active Below** - Если режим обнаружения холостого хда установлен дросселем, то это положение дросселя для перехода в режим холостого хода
* Следующие 3 параметра используются только в том случае, если для определения режима холостого хода используется вход CTPS
  * **CTPS enabled** - Следует ли использовать вход CTPS
  * **CTPS Pin** - Контакт Arduino, к которому подключен CTPS
  * **CTPS Polatiry** - Индицируется ли холостой ход входом, который контактирует на землю (Normal), или входом, который контактирует с 5В (Inverted).
  
### Кривая холостого опережения Idle Advance curve
Эта кривая определяет величину регулировки синхронизации (режим добавления) или величину абсолютного опережения (режим переключения), которая будет использоваться на основе разницы (ошибки) целевой частоты вращения. 

Обычно время добавляется (положительные значения), чтобы попытаться увеличить обороты, и время удаляется (отрицательные значения), чтобы уменьшить обороты.

### Кривая целевого холостого Idle RPM target curve
Эта кривая определяет желаемую частоту вращения холостого хода на основе текущей температуры охлаждающей жидкости. Эта таблица совместно используется с управлением воздухом холостого хода, если оно используется в сочетании с управлением опережения холостого хода.