---
title: Характеристики форсунок Injector Characteristics
description: Configuring the injector properties
published: true
date: 2021-01-03T09:31:01.653Z
tags: 
editor: undefined
dateCreated: 2021-01-02T04:34:58.088Z
---

# Характеристики форсунок Injector Characteristics
## Обзор
Топливные форсунки имеют уникальные аппаратные свойства, которые должны учитываться в вашей настройке. В идеале они будут предоставлены как часть спецификаций для инжекторов, однако в некоторых случаях данные могут быть недоступны или их трудно найти. Ниже приведены типичные значения в качестве отправных точек для этих случаев. 

## Settings
![Injector Characteristics](/img/constants/injectorChars.png){.align-center width=50%}

| Variable                    | Typical value | Comment                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|-----------------------------|---------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Время открытия форсунки мс          | 0.9 - 1.5     | Время полного открытия форсунки при срабатывании плюс время, необходимое для закрытия. Это относится к каждому типу и варианту инжектора.                                                                                                                                                                                                                                                           |
| Углы закрытия форсункм       | 355           | Это соответствует углу, по отношению ВМТ каждого цилиндра, на котором будет заканчиваться впрыск. Это значение можно варьировать для каждого канала (включая для полупоследовательной проводки), но значение по умолчанию 355 подходит для большинства приложений.                                                                                                                                                                                                                                                                                                                                             |
| Предельная производительность инжектора | 85%           | Форсунка открывается и закрывается один раз за оборот кривошипа, так что, принимая во внимание время открытия инжектора, рабочий цикл ограничен, чтобы избежать превышения времени вращения. Рекомендуется значение 85%, но более высокое значение может быть использовано для более быстрых впрысков. Следует отметить, что как только этот предел рабочего цикла достигнут, он не будет превышен, поскольку топливная форсунка не может закрываться и открываться достаточно быстро для подачи большего количества топлива. Это может потенциально вызвать обедненные условия при высоких оборотах в минуту. При достижении этого предела тщательно продумайте, требуются ли более крупные форсунки.|
| Коррекция напряжения форсунки | 100%          | Процент длительности импульса форсунки изменяется с изменением напряжения питания. Значение 100% означает отсутствие изменения длительности импульса.                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| Режим коррекции напряжения     | Только время открытия| Применяется ли коррекция напряжения только ко времени открытия или ко всей длительности импульса.|