---
title: Запуск и плоское смещение Launch & Flatshift
description: 
published: true
date: 2021-01-02T19:46:32.443Z
tags: 
editor: undefined
dateCreated: 2021-01-02T04:36:19.868Z
---

# Контроль запуска и плоского смещения Launch Control & Flat Shift

Speeduino имеет двухступенчатое управление запуском в сочетании с функцией плоской смены. Каждый из них зависит от включенного переключателя сцепления (как правило, заземляющего типа).

## Setup
Режимы двухэтапного и плоского переключения имеют состояния жесткого и мягкого среза. При мягком срезании синхронизация зажигания будет изменена для уменьшения ускорения оборотов, хотя этого, как правило, недостаточно для остановки или ограничения роста оборотов. При жестком отключении сигнал зажигания полностью останавливается до тех пор, пока обороты не упадут

![Launch and flat shift settings](/img/tuning/launchFlatS.png){.align-center width=400}

### Launch
* **TPS Threshold** - Минимальное значение для запуска. Ограничитель будет включаться только выше этой частоты вращения. Типичные значения: 1% -3% TPS, в зависимости от уровня шума в сигнале
* **Soft rev limit** - Частота вращения, при которой синхронизация будет отрегулирована для медленного увеличения частоты вращения
* **Soft limit absolute timing** - **absolute** время, которое будет использоваться после достижения предела мягкой частоты вращения. Это отменяет все остальные настройки синхронизации в данный момент времени
* **Hard rev limit** - Частота вращения, при которой сигнал зажигания будет полностью отключен.
* **Fuel adder during launch** - Процентный модификатор текущей длительности импульса для добавления дополнительного топлива при активном запуске (мягком или жестком). Это может помочь в повышении производительности турбоустановок во время запуска

### Flat shift
* **Soft rev window** - Это окно RPM под точкой "Launch/Flat shift switch RPM", в течение которой будет применено альтернативное время. Типичные значения от 100 до 1000 об/мин.
* **Soft limit absolute timing** - Синхронизация abosloute, которая будет использоваться в мягком окне RPM плоской смены

### Clutch settings
И запуск, и плоский сдвиг требуют ввода сцепления для включения. Обычно это заземляющий переключатель активного типа, закрепленный за педалью сцепления.

* **Clutch input pin** - Контакт Arduino, к которому подключен коммутатор. Большинство установок должны оставить это значение в качестве значения по умолчанию для платы
* **Clutch enabled when switch is** - Полярность входа муфты. Обычно для коммутатора, подключенного к заземлению при активации, должно быть установлено значение "LOW".
* **Clutch pullup resistor** - Будет ли включена внутренняя пульсация на этом входе. Typicall это должно быть установлено в "Pullup", если вы выбрали "LOW" для вышеуказанной настройки
* **Launch / Flat shift switch RPM** - ECU использует точку RPM, в которой находится муфта, для определения того, находится ли она в режиме запуска или в режиме плоской передачи. Если муфта нажата выше этого значения оборотов, то предполагается плоское смещение, ниже оно будет считаться запуском

> Точка зацепления переключателя сцепления может существенно изменить применение управления запуском. Переключатель должен сработать как можно ближе к сцеплениям и занять максимально возможную точку для наиболее быстрого отклика.
{.is-success}
