---
title: Калибровка датчиков Sensor Calibration
description: Steps for calibrating all analog sensor inputs
published: true
date: 2021-01-03T07:19:01.310Z
tags: 
editor: undefined
dateCreated: 2021-01-02T04:41:37.772Z
---

# Калибровка датчиков Sensor Calibration

Прежде чем Speeduino сможет правильно интерпретировать сигналы от датчиков, он должен знать, какие датчики вы используете. При вводе этой информации в TunerStudio (TS) выполняется правильная калибровка в Speeduino. Необходимо выполнить этот шаг перед эффективной проверкой сборки Speeduino. Обратите внимание, что это не настраивает вашу систему, а только подсказывает, как понимать сигналы от датчиков.

Это должно быть выполнено после завершения настройки для вашего обработчика. Для выполнения калибровки компьютер должен быть подключен к Speeduino через Tuner Studio.

## Датчик давления воздуха MAP Sensor

Откройте **Tools** меню:

![tools_menu.png](/img/tuning/tools_menu.png){.align-center width=400}

Выберите **Calibrate Pressure Sensors**, окроется окно:

![MAP_calibration.png](/img/tuning/MAP_calibration.png){.align-center width=400}

Выберите MAP Sensor из раскрывающегося списка. Если в спецификации использовался датчик MAP, это будет MPX4250A. Если используется другой MAP или от производителя двигателя, выберите его из списка. Нажмите * * Записать * *, чтобы отправить информацию в Speeduino.

При использовании внешние датчики Baro и EMAP (давление выхлопа) могут быть откалиброваны таким же образом. 


## Температурные датчики охлаждающей жидкости и воздуха на впуске Coolant and Intake Temperature Sensors

Откройте **Tools** меню и выберите **Calibrate Thermistor Tables**:

Выбранный датчик будет **Coolant Temperature Sensor**. Выберите датчик из **Common Sensor Values**раскрывающийся список. При этом правильные значения будут помещены в таблицы температуры и сопротивления и значение резистора смещения. Если датчика нет в списке, см. [Entering Custom Values](#Entering_Custom_Values "wikilink") ниже.

Обратите внимание, что стандартная сборка Speeduino должна иметь переменные резисторы 2490 Ом, который является стандартным для датчиков, используемых большинством производителей. Если сенсору требуется другое значение, может потребоваться изменить R3 резистора на правильное значение для сенсора. Можно попытаться заменить значение резистора на 2490 Ом, но проверить правильность считывания датчика в Tuner Studio.

![CLT_calibration.png](/img/tuning/CLT_calibration.png){.align-center width=450}

Затем можно выполнить такую же калибровку для температуры воздуха на входе (IAT) заменив **Sensor Table** на **Air Temperature Sensor**:

![IAT_calibration.png](/img/tuning/IAT_calibration.png){.align-center width=450}

Выберите датчик из **Common Sensor Values** раскрывающийся список. При этом правильные значения будут помещены в таблицы температуры и сопротивления и значение резистора смещения. Щелкните **Write to Controller** чтобы отправить эту информацию на ваш Speeduino. Если датчика нет в списке, см. [Entering Custom Values](#Entering_Custom_Values "wikilink") ниже.

Обратите внимание, что стандартная сборка Speeduino должна иметь переменные резисторы 2490 Ом, который является стандартным для датчиков, используемых большинством производителей. Если сенсору требуется другое значение, может потребоваться изменить R3 резистора на правильное значение для сенсора. Можно попытаться заменить значение резистора на 2490 Ом, но проверить правильность считывания датчика в Tuner Studio.

### Введение пользовательских значений Entering Custom Values

Некоторые датчики не перечислены в таблицах для общих датчиков. Если ваш не указан в списке, необходимо ввести значения в поля для себя. Вам понадобится два бита информации: 1. Значение резистора (2490 при использовании стандартных значений в спецификации или при наличии предварительно изготовленного Speeduino) и 2. Сопротивление датчика при трех различных температурах.

Сопротивление датчика может быть создано путем измерения сопротивления датчика в окружающем воздухе, помещения его в морозильную камеру, а затем в кипящую воду. Понадобится хороший мультиметр и точный термометр, измеряющий -10C до 100C (от 14 ° F до 212 ° F). Лучше всего использовать перемычки для считывания сопротивления датчика, не удерживая его в руке (некоторые датчики быстро реагируют на изменения температуры). Некоторые датчики медленно реагируют на изменения температуры, поэтому позволяют датчику по крайней мере за 10 минут достичь стабильной температуры, а затем регистрируют наблюдаемые температуру и сопротивление.

В **Calibrate Thermistor Tables** сначала убедитесь, что выбрана правильная единица измерения температуры (**F** or **C**). Затем запишите значение резистора смещения и значения температуры/сопротивления в поля. Щелкните **Write to Controller** чтобы отправить эту информацию на ваш Speeduino.

Следует отметить, что его процедура также может быть использована для ввода значений сопротивления на тренажерах для тестирования и поиска и устранения неисправностей. При использовании значений симулятора следует помнить две точки - во-первых, никогда не вводить ноль для сопротивления. Хотя ваш симулятор может перейти к нулю, введите небольшое значение выше нуля, скажем, 10 Ом. Ввод нуля приводит к появлению ложных значений в микропрограмме. Во-вторых, не забудьте ввести правильные значения датчиков перед установкой Speeduino!

## Датчик кислорода Oxygen Sensor 

Откройте **Tools** меню и выберите **Calibrate AFR Table**:

![O2 calibration](/img/tuning/O2_calibration.png){.align-center width=400}

Выберите **Oxygen Sensor sensor** из **Common Sensor Values** раскрывающийся список. При использовании пользовательского контроллера датчика кислорода выберите **Custom Linear WB** а затем можно ввести значения для **Volts** и **AFR** в двух пунктах (должно быть опубликовано в руководстве по контроллеру).

Нажмите **Write to Controller** чтобы сохранить информацию в Speeduino.

Программа Speeduino будет настроена таким образом, чтобы можно было также выполнить моделирование для проверки сборки перед установкой.


## Датчик поворота заслонки ДПДЗ Throttle Position Sensor

Прежде чем Speeduino сможет правильно работать с вашим двигателем, вам также потребуется откалибровать датчик положения дросселя. Для этого необходимо использовать корпус дросселя и ДПДЗ (Throttle Position Sensor TPS), используемые на двигателе. Лучше всего это делать, пока корпус дросселя установлен на двигатель.

Откройте **Tools** меню и выберите **Calibrate TPS**:
![TPS calibration](/img/tuning/TPS_calibration.png){.align-center width=480}

Закрыв дроссель, нажмите кнопку **Get Current** рядом с полем Closed Throttle ADC count. Затем переместите дроссель до полного открытия и удерживайте его там. Затем нажмите кнопку **Get Current** button рядом с Full Throttle ADC count field.

Нажмите **Accept** чтобы сохранить информацию в Speeduino.