---
title: Поэтапный впрыск Staged Injection
description: Configuring multi-stage fuel injection
published: true
date: 2021-01-03T07:48:46.166Z
tags: 
editor: undefined
dateCreated: 2021-01-02T04:43:36.211Z
---

# Поэтапный впрыск Staged Injection
## Обзор
Speeduino имеет возможность управлять вторичной топливной ступенью для двигателей, имеющих 2 комплекта форсунок, обычно разной мощности. Несмотря на то, что существует мало двигателей, которые поставляются со вторичными инжекторами (заметным исключением является множество роторов Mazda), вторичный ступенчатый впрыск является обычной модификацией, в частности, используется всякий раз, когда требуются большие инжекторы, но где желательно сохранять меньшие инжекторы для более плавной работы при низких оборотах.

## Конфигурация
Независимо от того, какая стратегия управления выбрана, необходимо ввести размеры первичного и вторичного инжекторов, чтобы компания Speeduino знала разделение в общей заправке топливом.

> **CRITICAL** - Значение req-Fuel в [Engine Constants](/configuration/Engine_Constants) ДОЛЖНО обновляться при включении ступенчатого впрыска. **При использовании промежуточной установки значение, введенное в калькулятор req_fuel, ДОЛЖНО быть равно сумме размеров первичных и вторичных форсунок.**
>Неправильная установка этих значений приведет к чрезмерной богатой или бедной смеси.
{.is-danger}

**Пример:**

* Первичные форсунки **Primary Injectors :** 300cc
* Вторичные форсунки **Secondary Injectors :** 700cc
* Значение для калькулятора потребного топлива
**Value entered into the req_fuel calculator :** 1000cc

![Staged fuel settings](/img/staging/staging_settings.PNG){.align-center width=400}
![REquired fuel calculator](/img/staging/staged_reqfuel.PNG){.align-center width=400}

### Метод контроля Control methods
Speeduino предоставляет 2 режима управления постановкой, каждый из которых имеет свои сильные и слабые стороны. В большинстве случаев рекомендуется начать работу в автоматическом режиме, который требует только настройки стандартной таблицы VE, и проверить, получается ли желаемый результат. Только если это невозможно настроить для обеспечения удовлетворительного разделения топлива, рекомендуется изменить настройку таблицы вручную.

#### Автоматическая поэтапность Automatic staging
При использовании метода автоматической подготовки Speeduino учитывает полную мощность инжекторов (т.е. сумму 2 ступеней инжектора) и выполняет их разделение. С помощью этого способа пользователь может просто настроить таблицу VE таким же образом, как если бы использовался только один набор инжекторов и система заботилась об остальных.

В этом режиме Speeduino будет пытаться использовать первичные инжекторы вплоть до своего "Предела производительности инжектора" (в соответствии с конфигурацией в [Injector Characteristics](/configuration/Injector_Characteristics) диалог. При использовании подготовки рекомендуется, чтобы этот предел не превышал 85%. Как только первичные инжекторы достигнут этого предела нагрузки, Speeduino начнет выполнять любую дальнейшую заправку топливом из вторичных инжекторов. Таким образом, таблица VE - это все, что требуется для настройки, поскольку система будет заботиться о распределении текущей топливной нагрузки на лучшие форсунки.

#### Табличный контроль Table control
Управление таблицей позволяет использовать ручную карту 8x8, которая показывает, какой процент топливной нагрузки будет выполняться ** вторичными ** форсунками
- 0% = вторичные форсунки отключены
- 100% = первичные форсунки отключены

Важно отметить, что значения в этой таблице НЕ соответствуют непосредственно разделению рабочего цикла или длительности импульса. Они представляют собой процентную долю от общей топливной нагрузки, которую будет предложено выполнить вторичным исполнителям. Влияние этого значения на длительность импульса зависит от соотношения мощности первичного и вторичного инжекторов.

Одним из недостатков способа настройки таблицы является то, что он не позволяет одновременно использовать полную топливную нагрузку первичной и вторичной форсунок. Поскольку таблица представляет собой деление общей топливной нагрузки, поскольку один комплект инжекторов работает больше, другой будет работать меньше.

### Замечание
В настоящее время предполагается, что время покоя 2 комплектов инжекторов одинаково. При необходимости это может быть изменено в будущих прошивках (при необходимости отправтье запрос на эту функцию).