---
title: Настройки реперных дисков Trigger Setup
description: Setting up the RPM trigger input to work correctly with the Speeduino decoder
published: true
date: 2021-01-03T08:20:50.039Z
tags: 
editor: undefined
dateCreated: 2021-01-02T04:46:44.421Z
---

# Настройки реперных дисков Trigger Setup
## Обзор

Одним из наиболее важных компонентов установки EFI является датчик угла поворота коленчатого вала (CAS) и способ его использования в ЭБУ. В диалоговом окне "Trigger settings" (Параметры триггера) определяется конфигурация триггера, и крайне важно, чтобы перед запуском двигателя была выполнена соответствующая настройка.

При неправильных настройках могут возникнуть проблемы с синхронизацией или ошибочные показания оборотов.

Обратите внимание, что многие параметры в этом диалоговом окне зависят от конфигурации, поэтому некоторые параметры могут быть затемнены.

## Настройки репера Trigger Settings

![Trigger settings dialog](/img/constants/triggerSettings.png){.align-center width=400}

- **Trigger Pattern** - Шаблон, используемый датчиками коленвал/распредвала на двигателе. Полный список поддерживаемых шаблонов см. в разделе [Decoders](/decoders) page
- **Primary Base teeth** - Для шаблонов, в которых число зубьев является переменным (отсутствие зуба, двойное колесо и т.д.), это число представляет количество зубьев на основном колесе. Для отсутствующих зубчатых колес это число должно быть числом, как если бы зубьев не было.
- **Primary trigger speed** - Скорость вращения первичного входа. Он тесно связан с настройкой зубьев основного основания и указывает, проходит ли это количество зубьев датчик один раз при каждом вращении кривошипа или при каждом вращении кулачка.
- **Missing teeth** - Если используется отсутствующий рисунок зуба, это размер зазора, указанный в "отсутствующих зубах". У Eg 36-1 отсутствует 1 зуб. 60-2 имеет 2 отсутствующих зуба и т.д. Недостающие зубы **ДОЛЖНЫ** быть расположены в одном блоке, не может быть много отсутствующих зубьев вокруг колеса.
- **Secondary teeth** - Как и выше, но для вторичного входа. Предполагается, что этот вход всегда работает со скоростью кулачка.
- **Trigger angle multiplier** - Эта опция используется только на [Non-360 pattern](/decoders/non-360). 
- **Trigger angle** - Угол поворота кривошипа, **После Верхней Мертвой Точки (ATDC)**, когда зуб \#1 passes the sensor on the primary (crank) input. This setting is critical for Speeduino to accurately know the current crank angle. См. раздел ниже ("Поиск зуба\# 1 и угла триггера" 'Finding tooth \#1 and trigger angle') для получения дополнительной информации о том, как определить это значение

### Опции триггера Trigger options

- **Skip revolutions** - Число оборотов, которые процессор должен выполнить до установки флага Sync. Это может помочь предотвратить ложные события синхронизации при прокрутке. Типичные значения: от 0 до 2
- **Trigger edge** - Срабатывает ли первичный сигнал на фронте подъема или падения
- **Secondary trigger edge** - Срабатывает ли вторичный сигнал на фронте подъема или падения
- **Trigger filter** - Программный фильтр на основе времени, который будет игнорировать входы кривошипа/кулачка, если они поступят раньше, чем ожидалось, на основе текущей частоты вращения. Чем агрессивнее фильтр, тем ближе к ожидаемому времени работа фильтра. Более высокие уровни фильтрации могут вызвать фильтрацию истинных импульсов, поэтому рекомендуется использовать минимальную возможную настройку
- **Re-sync every cycle** - Если установлено значение "да", система будет искать условия синхронизации каждый цикл, а не просто считать ожидаемое количество зубьев. Рекомендуется включить этот параметр, однако при наличии шумного кривошипно-кулачкового сигнала может потребоваться его выключение, так как он может привести к выпадению синхронизации. 

## "Поиск зуба\# 1 и угла триггера" Finding tooth \#1 and trigger angle
Обратитесь к [Trigger Patterns and Decoders](/decoders) для используемого триггера
