---
title: Топливная карта объемной эффективности Fuel (VE) table / map
description: Configuration of the main fuel / VE table 
published: true
date: 2021-01-02T20:07:06.591Z
tags: 
editor: undefined
dateCreated: 2021-01-02T04:29:36.436Z
---

# Топливная карта объемной эффективности Fuel (VE) table

Таблица топлива или VE является основным способом регулирования количества топлива, которое будет впрыскиваться в каждой точке оборотов - горизонтальная ось/ нагрузки -вертикальная ось. 

![VE Table 1](/img/tuning/ve_table.png){.align-center width=450}

## Конфигурация
Карта топлива представляет собой 3D интерполированную таблицу, в которой для поиска требуемого значения VE используется частота вращения и топливная нагрузка. Ось топливной нагрузки определяется тем, используется ли Speed Density (MAP kPa) или Alpha-N (TPS) для нагрузки на топливо (See [Engine_Constants](/en/configuration/Engine_Constants))

Значения в этой таблице представляют собой процент от `Required Fuel` количество, которое будет впрыскиваться, когда двигатель находится на заданной скорости/нагрузке. 

### Варианты
- **Multiply VE value by MAP ratio:** Включение этой опции "сглаживает" таблицу топлива путем умножения значения в текущей точке скорости/нагрузки на значение MAP, деленное либо на значение Баро (в кПа), либо на фиксированное 100% (для совместимости с настройками других систем). 
  - Этот параметр можно настроить с включенным параметром или без него, но его обычно рекомендуется включать, так как он позволит получить более простые и предсказуемые результаты настройки. 
  - Для новых настроек рекомендуется использовать `Baro` вариант
  
> **Предупреждение:** Изменение этого значения потребует повторного использования топливной карты!{.is-warning}

- **Multiply by ration of AFR to Target AFR:** Для большинства установок эта опция обычно имеет значение "Нет". Это позволяет осуществлять базовую обратную связь замкнутого контура путем регулирования количества базового топлива в соответствии с тем, как далеко от целевого AFR работает двигатель. 
- **Multiply by ration of stoich AFR to target AFR ('Incorporate AFR')**: Эта опция аналогична описанной выше, но вместо использования текущего значения AFR используется фиксированное значение stoich AFR.



## Вторая топливная карта

![Secondary Fuel table](/img/tuning/2nd_fuel_table.png){.align-center width=450}

Speeduino также имеет возможность использовать вторичный топливный стол, который позволяет смешивать и переключать режим заправки. Доступны 2 режима смешения и 2 режима коммутации.

Смешанные режимы топлива работают совместно с первичным топливным столом для создания единого комбинированного VE. Переключаемые режимы топлива - это то, где используется либо первичный, либо вторичный топливный стол, но не оба одновременно. Таблица, используемая в любой момент времени, может быть сконфигурирована на основе внешнего входа (дефис-переключатель) или установлена с помощью определенных условий. 


### Умножаемый Multiplied %
Это смешанный топливный режим (т.е. он использует как первичную, так и вторичную топливные таблицы вместе), который позволяет комбинировать различные нагрузки и оси оборотов. Обычно это используется для таблицы первичного и вторичного топлива с различными источниками нагрузки (* * Eg: * * Первичная карта с использованием TPS и вторичная карта с использованием давления в коллекторе). 

Этот режим часто используется на двигателях с индивидуальными дроссельными телами (ITB) для обеспечения возможности объединения таблиц на основе TPS и MAP.

Конечное значение топлива получают, рассматривая оба значения (первичное и вторичное) как проценты и умножая их вместе.

#### Пример 1
* **Значение первой топливной карты:** 75
* **Значение второй топливной карты:** 100
* **Окончательное значение:** 75 

#### Пример 2
* **Значение первой топливной карты:** 80
* **Значение второй топливной карты:** 150
* **Окончательное значение:** 120

#### Пример 3
* **Значение первой топливной карты:** 90
* **Значение второй топливной карты:** 80
* **Окончательное значение:** 72

### Слагаемый Added
Это смешанный топливный режим, который очень похож на вышеуказанный `Multipled %` режим. Единственное различие между ними состоит в том, что вместо умножения значений из первичной и вторичной таблиц 2 складываются вместе. 

Это менее часто используемый режим, но является альтернативой в тех же установках, которые вы бы использовали `Multiplied %`

### Switched - Conditional
Условный переключаемый режим позволит использовать 2-ю топливную таблицу при достижении определенного значения выше заданного уровня. Доступные значения переключения::

* Обороты RPM
* Содержание этанола Ethanol content
* MAP 
* TPS

В зависимости от желаемого результата, это может быть использовано для расширения разрешения основной топливной таблицы, автоматической обработки альтернативных видов топлива или в качестве альтернативного режима ITB (особенно при работе с ускоренными ITB). 

### Switched - Input based
Режим переключения на основе ввода позволяет изменить таблицу топлива, которая используется через внешний вход в ECU. Требуются следующие параметры:

* (Arduino) контакт, к которому подключен вход
* Полярность этого входа (IE - таблица вторичного топлива, используемая с сигналом, высокая или низкая). Для стандартного входа переключения на землю это должно быть "LOW";
* Следует ли использовать внутреннюю пульсацию на этом входе. Для стандартного входа переключения на землю это должно быть "Yes"

