---
title: Реперный диск (триггер) с отсутствующим зубом Missing Tooth
description: Information about the missing tooth decoder pattern
published: true
date: 2021-01-03T08:40:52.284Z
tags: 
editor: undefined
dateCreated: 2021-01-02T07:02:39.535Z
---

# Подерживаемые конфигурации реперных дисков Supported trigger patterns
## Отсутствующий зуб Missing Tooth Pattern
### Обзор

Отсутствующий крючок зуба используется в качестве стандартного оборудования рядом OEM-производителей, особенно Ford, но также очень популярен в качестве оборудования для послепродажного обслуживания.

Он состоит из реперного диска коленвала с заданным числом равномерно разнесенных зубьев и одного или более "отсутствующих" зубьев. Общими значениями обычно являются 60-2, 36-1, 24-1, 12-1 и 4-1, где первое число представляет общее количество зубьев, которое колесо имело бы, если бы не было пропущено. Второе число после тире "-" указывает на количество отсутствующих зубов.

> **Примечание**: Если имеется третье число (например, 36-1-1), отсутствующие зубцы не являются последовательными, и этот декодер не применяется. Не путайте подсчеты с косыми чертами "/", так как цифры, следующие за косыми чертами, представляют зубья кулачка - не пропускают зубья. Колеса с "+" указывают на добавление зубьев, а не на отсутствие, и снова этот декодер не применяется.
{.is-warning}


### Приложения Applications

Реперные диски с отсутствующим зубом могут использоваться практически на любом двигателе и являются одним из наиболее популярных вариантов послепродажного обслуживания. Он обеспечивает очень хорошее разрешение в версиях с более высоким числом зубьев (например, 36-1 и 60-2) без интенсивного использования ЦП для декодирования.

### Требования к синхронизации Timing Requirements

РПри применении реперного диска с отсутствующим зубом декодеры требуют, чтобы колесо вращалось приблизительно с одинаковой скоростью на протяжении всего вращения. Для одного отсутствующего зуба декодеры: Если следующий зуб не приходит в пределах 1.5 * Дельта времени последних 2 зубов предполагается, что мы только что наблюдали отсутствующий зуб. Для более чем одного отсутствующего декодера зуба есть немного больше свободы, если следующий зуб не попадает в течение 2 * Дельта-время последних 2 зубов предполагается, что мы только что наблюдали отсутствующие зубы. 

Обычно это можно зафиксировать, гарантируя, что пусковой двигатель имеет достаточный ток, доступный для питания через любые более жесткие точки через кулачки поворота/открытия/вспомогательные устройства двигателя. 

Если двигатель стартера хороший и получает правильное напряжение, убедитесь в правильности механических компонентов двигателя. 


### Конфигурации в Tuner Studio
![missingtooth_triggerconfig.png](/img/decoders/missingtooth_triggerconfig.png){.align-center}

**Поля:**

  - Primary base teeth: Это количество зубьев, которое было бы у колеса, если бы не было отсутствующих. Пример 36-1 колесо имеет только 35 фактических зубьев, но вы бы ввели 36 в это поле.
  - Missing Teeth: Размер "зазора" в количестве зубов. Эти отсутствующие зубья должны быть расположены в одном блоке (то есть есть только один зазор в зубах)
  - Trigger Angle: первого зуба, следующего за зазором: Это угол в градусах кривошипа **ПОСЛЕ** ВМТC (ATDC) первого зуба, следующего за зазором

### Настройка синхронизации Timing Setting

Угол срабатывания можно определить, поместив двигатель в ВМТ (TDC), а затем рассчитав, как далеко он должен вращаться, пока первый зуб после зазора не достигнет датчика.

### Последовательная работа Sequential operation

Декодер отсутствующих зубьев поддерживает последовательную работу, если имеется дополнительный вход с распредвала. Если выбран последовательный режим для синхронизации топлива или синхронизации зажигания, система ожидает увидеть сигнал распредвала и не будет синхронизироваться правильно без этого. Следует отметить, что это происходит ТОЛЬКО в том случае, если выбрана последовательная синхронизация для одного или обоих типов топлива и искровой синхронизации.

Сигнал распредвала должен иметь форму одного импульса каждый полный цикл. Это может быть расположение с коротким зубцом или полулунным типом, при условии, что электрически имеется только один поднимающийся (или падающий) импульс за цикл.

### Диаграмма триггера Trigger Diagram
![missingtooth_trace1.png](/img/decoders/missingtooth_trace1.png){.align-center}
