---
title: Руководство Speeduino
description: The Speeduino documentation manual
published: true
date: 2021-01-01T14:09:18.554Z
tags: 
editor: undefined
dateCreated: 2021-01-01T14:02:12.529Z
---

# Введение
В данном руководстве рассматриваются аппаратные средства (датчики, электропроводка и т.д.), конфигурация программного обеспечения и элементы настройки, связанные с работой электронного блока управления двигателем (ЭБУ) Спидуино. При начале работы со Speeduino, особенно если вы впервые устанавливаете и настраиваете систему управления двигателем, это руководство поможет понять возможности Спидуино, особенности его физической установки и программной настройки.

Несмотря на то, что данный документ описывает установку и настройку ЭБУ Speeduino, он не охватывает многие аспекты тонкой настройки двигателя, стратегии топлива/зажигания и т.д. Как и в случае любых изменений в управлении двигателем, возможность повреждения аппаратных средств является вполне реальной в случае неправильной настройки системы.

### Начало Работы

Основные компоненты **ЭБУ Спидуино**:

1. **A Speeduino board** - основная плата ЭБУ Speeduino содержащая все аппаратные ключи и цепи ввода-вывода. Это может быть универсальная плата для работы различными моторами (например плата v0.4) либо специализированная плата адаптированная для определённой модели транспортного средства
2. **An Arduino** - вычислительный модуль Speeduino, с процессором, оперативной памятью и ПЗУ. Обычно устанавливается на плату Speeduino для управления исполнительными механизмами транспортного средства. Чаще всего это Arduino Mega 2560, но есть версии для Teensy, STM32 и др. Имеются также варианты Standalone Speeduino где в основную плату интегрирован процессор и нет отдельной платы Arduino.
3. **Firmware** - системное программное обеспечение, которое работает на плате Arduino и обеспечивает ее работу. Программное обеспечение регулярно выпускается с обновлениями, улучшениями производительности и исправлениями ошибок. При этом поддерживаются все ранее разработанные модели ЭБУ Speeduino.

В начале работы рекомендуется загрузить прошивку в Arduino и убедиться в правильном подключении к программному обеспечению настройки (Tuner Studio) и только потом переходить к аппаратной сборке, проводке и т.д. Конфигурация и настройка программного обеспечения Speeduino может быть завершена без подключения дополнительного оборудования (кроме самого Arduino), что позволяет исследовать возможные варианты, до того, как будут израсходованы значительные средства или потрачено много времени.

Более подробную информацию об аппаратных требованиях и о функционале различных версий можно найти на странице "Начало работы".(https://wiki.speeduino.com/ru/Getting_Started)

### Об этом руководстве

Так как Спидуино постоянно развивающийся проект с открытым исходным кодом, то документация постоянно дополняется. Если вам кажется что-то отсутствует или недостаточно подробно описано, то пожалуйста не стесняйтесь спросить на форуме.

Кроме того, если вы хотите внести свой вклад в документацию Speeduino вы можете это сделать. Предпочтительным способом запроса на редактирование документации является Slack (https://speeduino.com/forum/app.php/page/slack)
