---
title: Настройка Tuning
description: 
published: true
date: 2021-01-03T10:01:27.928Z
tags: 
editor: undefined
dateCreated: 2021-01-02T07:27:32.418Z
---

Таблицы топлива, Зажигания и Воздух-Топливо AFR Fuel, Ignition, and AFR Tables
------------------------------

Speeduino определяет правильное количество топлива для впрыскивания в течение каждого цикла двигателя и время зажигания с помощью расчетов. Формула для этих расчетов известна как плотность скорости Speed Density (SD), которая использует скорость двигателя *speed* и плотность воздуха *density* для расчета соответствующего топлива для впрыска. Speeduino приравнивает абсолютное давление во впускном коллекторе (MAP) как к плотности воздуха (массе) для расчетов топлива, так и к нагрузке двигателя для расчетов зажигания. Затем Speeduino умножает этот коэффициент плотности воздуха на коэффициент объемной эффективности Volumetric Efficiency при текущей частоте вращения двигателя, чтобы оценить соответствующий поток топлива для соответствия нагрузке и потоку воздуха. Эти расчеты модифицируются дополнительными факторами, такими как температура воздуха, испарение топлива (температура теплоносителя), ускорение обогащения, целевое соотношение воздух: топливо (AFR) и т.д.

Таблицы поиска Speeduino, используемые для вычисления этих основных коэффициентов MAP и rpm, называются
таблицей VE (для топлива)
таблицей искр Spark Table (для синхронизации зажигания)
таблицей AFR (для целевых значений соотношения воздух/топливо).
В то время как каждая таблица основана на скорости и плотности, функции разделяются для настройки. Типичный серийный автомобильный двигатель может иметь, возможно, 30kPa MAP при холостом ходу и приблизительно 100kPa (атмосферное давление) при широко открытом дросселе, показывая холостой ход в левой нижней части стола и высокую нагрузку при красном свете в правой верхней части.


### The VE Table

Поскольку КПД двигателя изменяется в зависимости от нагрузки и частоты вращения, каждая из 256 ячеек таблице 16x16 имеет показатель КПД, основанный на способности двигателя подавать воздух в цилиндры при этом МАП и частоте вращения. Это называется объемной эффективностью или просто VE. Чем выше эффективность нагнетания воздуха, тем выше это относительное число VE. Более высокая эффективность воздушного потока требует большего расхода топлива для поддержания той же цели AFR. Увеличение или уменьшение VE может быть вызвано факторами, присущими конструкции двигателя, или переменными коэффициентами эффективности, такими как положение дросселя, синхронизация распределительного вала, настройка гармоник, AFR, синхронизация зажигания и т.д.

<img src="http://i.imgur.com/QsBeFjQ.jpg?1" title="Fig.1: VE Table" />

Как и при стандартных расчетах лошадиных сил или киловатт и крутящего момента, обратите внимание на увеличение VE при пиковом крутящем моменте. Хотя VE (и, следовательно, крутящий момент) обычно уменьшается выше области пикового крутящего момента, множитель частоты вращения вызывает увеличение HP или KW по мере увеличения частоты вращения до тех пор, пока скорость уменьшения крутящего момента не превысит увеличение частоты вращения. Как правило, максимальный естественный атмосферный VE составляет 100% и находится при пиковых оборотах в минуту и максимальном давлении в коллекторе (около атмосферного давления ~ 101 кПа). VE может быть больше 100 на столе и чаще всего выше при увеличении для повышения, что обеспечивает более 100% VE. Однако эти числа могут быть изменены по любой причине, которую тюнер считает подходящей.

### Как заполнить начальную карту How is a beginning fuel VE table created?

***Примечание:** Настройка и создание таблицы должны выполняться из существующего файла настройки, содержащего допустимые значения или значения по умолчанию. Предоставленный файл базовой настройки (Speeduino base tune.msq) был создан для этой цели и расположен в папке **reference**
[Stable Firmware](http://speeduino.com/wiki/index.php/Compiling_and_Installing_Firmware#Latest_Stable_Firmware%7CLatest) вы скачали; при создании проекта TunerStudio и первом подключении Speeduino файл базовой настройки должен быть загружен в Tuner Studio нажатием **CTRL+O** и переход к файлу или щелчком **File &gt; Open Tune (msq)** и выбор файла. Попытка создания таблиц или настройки без загрузки файла настройки обычно приводит к разочарованию и вероятному повреждению файла.*

Таблица топлива должна быть грубо основана на кривой крутящего момента двигателя, как описано выше. Значения rpm и MAP (таблица X и Y) и относительные значения VE, которые создают эти кривые, могут быть оценены для различных MAP и rpm посредством ручной оценки или с помощью инструментов, таких как генератор таблиц в зарегистрированной версии [TunerStudio](http://www.tunerstudio.com/index.php/tuner-studio). Использование функции генератора таблиц описано в разделе TunerStudio.

<img src="http://i.imgur.com/UrSMeIs.png" title="Fig. 2 Table Generator" />

### Ручные таблицы объёмной эффективности Manual VE Tables

Часто генератор таблиц недоступен или не подходит для оценки таблиц для определенных типов двигателей. Именно здесь знания и опыт могут помочь в создании набора таблиц для начала настройки. В то время как глубокое знание теории двигателей очень полезно для конкретной настройки; общие руководящие принципы могут помочь в создании таблиц, которые обычно позволяют запускать и запускать двигатель при поддержке оператора.

Обратите внимание на интересующие области на рис. 3. Это общие области, и могут быть очень разные размеры и формы для различных типов двигателей, но это области, найденные в большинстве автомобильных общих, производительности и гоночных таблиц.

<img src="http://i.imgur.com/Cim526L.jpg?1" title="Fig. 3 Table areas" />

Вдоль левой стороны расположены МАП давления в килопаскалях (кПа), от менее холостого хода в нижней части до приблизительно максимального давления в коллекторе. Они [absolute pressures](https://en.wikipedia.org/wiki/Pressure_measurement#Absolute.2C_gauge_and_differential_pressures_-_zero_reference) обычно выбирается таким образом, чтобы охватить весь рабочий диапазон, и расширяется, если это необходимо, в случае ожидаемой суровой погоды или высот, с наддувом (включая турбированный) и т.д. Выделение ряда на давление ниже холостого хода позволяет при желании использовать схемы стабилизации или восстановления холостого хода, в то время как дополнительный ряд выше атмосферного обычно считается ненужным, за исключением перечисленных выше.

Аналогично, вдоль нижней части таблицы увеличиваются значения частоты вращения, от менее холостого до более высокого, чем пиковая частота вращения двигателя. Максимальная нормальная скорость вращения или установленные точки сдвига ниже этой красной скорости вращения. Нет необходимости включать частоту вращения выше красной линии двигателя, так как она никогда не должна работать выше этой частоты вращения, хотя она все еще может вращаться выше этой точки. Избыточное вращение (избыточная и повреждающая обороты) может быть ограничено настройками ограничения оборотов, известными как ограничители оборотов. Посмотрите [Rev Limits](Rev_Limits "wikilink").

### Построение таблицы объёмной эффективности VE Table

Как в коллекторах MAP, так и в коллекторах со скоростью вращения следует обратить внимание на включение большего количества делений, в которых давление или скорость вращения изменяются быстро или часто, и поэтому требуется или требуется большее разрешение. Это имеет тенденцию быть более низкими областями MAP и более низкими областями частоты вращения, в основном включая области 1, 2 и 5. Заметим в приведенном выше примере, что деления на обороты в 200 об/мин увеличиваются вблизи холостого хода, примерно до пикового крутящего момента и более крупные деления выше этой площади. Приведенный выше пример обеспечивает более высокое разрешение и более точное топливо, искру и АФР в тех высокоиспользуемых и постоянно меняющихся областях. В этом примере для разделов MAP используется более линейная, но все же взвешенная снизу схема.

В то время как VE обычно считается процентом, расчеты Speeduino просто используют их в качестве относительных привязок, размеры которых позволяют корректировать логическую привязку и помещение (от 0 до 255). Для двигателей с нормальным атмосферным давлением (NA), как правило, предлагается использовать 100 в максимальном ряду MAP (атмосферный) при пиковом крутящем моменте об/мин, при этом все остальные значения на таблице низкого давления являются более низкими VE. Наддувные и другие системы будут просто иметь ряды выше 100 кПа (атмосферные), где числа VE будут относительно выше.
постоянно меняющиеся области. В этом примере для разделов MAP используется более линейная, но все же взвешенная снизу схема.

Не забывайте, что все аспекты таблиц настройки регулируются в TS, обычно щелчком по рассматриваемому объекту, как показано ниже:
<img src="http://i.imgur.com/q6LnLb2.png?1" title="Table mods" />

### Альтернативный метод построения таблицы Alternative table-building techniques

Другой метод, используемый для создания базовой таблицы для настройки, называется таблицей "клин". Это просто таблица с соответствующими значениями MAP и rpm и заполненная простым выпускным набором ячеек, как показано ниже. Хотя этот метод изначально прост и требует меньшей оценки, он также требует большей последующей настройки и сглаживания карты для хорошей работы во всех диапазонах работы, так как нет оценки кривой крутящего момента или "формы" для работы.

<img src="http://i.imgur.com/1kRVjCW.png?1" title="Wedge Table" />

Using the 3D viewing feature in TS, the example wedge table appears like this before tuning is begun:

<img src="http://i.imgur.com/B6DJI5K.png?1" title="Wedge table 3D view" />

------------------------------------------------------------------------

[PSIG](User:PSIG "wikilink") ([talk](User_talk:PSIG "wikilink")) 13:10, 27 September 2016 (CDT)

------------------------------------------------------------------------

<img src="http://i.imgur.com/C4aONuj.png" title="Fig. 0 Under Construction" />

------------------------------------------------------------------------

*Отказ от ответственности*

*Информация, предоставленная компанией Speeduino Wiki и ее авторами, носит общий характер и не предназначена для замены профессиональных консультаций, включая, но не ограничиваясь, механические, электрические, теоретические и советы по безопасности.*

*Вся информация предоставляется "как есть". Это * * это * * Интернет. Хотя мы пытаемся предоставить точную информацию, мы не предъявляем никаких претензий, обещаний или гарантий относительно точности или полноты предоставленной информации. Предоставленная информация может быть изменена в любое время, любым лицом, имеющим доступ, без уведомления. Speeduino Wiki и его различные авторы отказываются от ответственности, связанной с общей информацией, представленной на любой из его страниц.*

*Посетители используют контент Speeduino Wiki исключительно на свой страх и риск. Нет никаких требований к использованию какой-либо информации. Если вы ни в чем не уверены, получите профессиональную помощь. Ответственность за любое толкование, использование или рассмотрение и любые вытекающие из этого последствия лежит исключительно на вас. Ни при каких обстоятельствах Speeduino Wiki или ее авторы не несут ответственности перед какой-либо третьей стороной за ущерб, связанный с использованием или неиспользованием ее содержания, независимо от того, выдвигаются ли претензии по контракту, деликту или другим правовым теориям.*

*Компания Speeduino Wiki и ее авторы не одобряют какие-либо продукты, услуги, методы, технику, продавца или поставщика, упомянутые в каких-либо статьях или связанных с ними рекламных объявлениях.*