---
title: Электрическая схема подключения зажигания
description: 
published: true
date: 2021-01-02T03:57:53.182Z
tags: 
editor: undefined
dateCreated: 2021-01-01T19:25:31.031Z
---

# Схема подключения зажигания
## Обзор
Электрическая схема подключения зажигания к ЭБУ может быть одной из самых сложных задач и часто вызывает наибольшую путаницу и ошибки. Это связано с огромным количеством различных типов использующихся зажиганий от схем 80-х 90-х годов до самых новых.

Это руководство не описывает все возможные варианты зажиганий, но наиболее распространенные приведены. Рекомендуется (где это возможно) использовать более новые типы зажигания ("интеллектуальные" катушки "smart Coil-on-Plug" и катушки рядом со свечой (Coil-Near-Plug) вместо использования отдельных модулей зажигания.

## Системы зажигания c Лишней Искрой
"Wasted spark" - системы зажигания c лишней искрой являются типичным решением, позволяя использовать в 2 раза меньшее количество каналов зажигания, например:
* 4 цилиндровому двигателю нужно 2 канала зажигания
* 6 цилиндровому двигателю нужно 3 канала зажигания
* 8 цилиндровому двигателю нужно 4 канала зажигания

Для 4-тактных двигателей системы с лишней искрой не требуют сигнала от распределительного вала. Каждая свеча работает в 2 раза чаще чем действительно нужно, один раз в рабочем ходе, один раз при продувке цилиндра.

При использовании схемы с лишней искрой важно, чтобы правильные пары катушек и/или свечей зажигания были соединены вместе.

Существует много двух искровых катушек зажигания, любые можноиспользовать со Speeduino, но рекомендуется использовать катушки со встроенными ключами

![ign_4Cyl_COP_wasted-spark.png](/img/wiring/ign_4Cyl_COP_wasted-spark.png){.align-center width=500}

> Note: The above example uses 'smart' coils with built in igniters. Do NOT attach high current (dumb) coils without adding an igniter
{.is-warning}

### Катушки на свече зажигания 
В качестве альтернативы двуискровым катушкам можно использовать отдельные катушки на свече зажигания в конфигурации с лишней искрой.

![ign_4Cyl_COP_wasted-spark.png](/img/wiring/ign_4Cyl_COP_wasted-COP.png){.align-center width=500}

> Примечание: В приведенных выше примерах используются "умные" катушки со встроенными силовыми ключами. **НЕ** используйте обычные катушки (2 контакта) без использования модуля зажигания {.is-warning}


## Последовательное зажигание (COPs)
Последовательное управление зажиганием с помощью индивидуальных катушек значительно упрощает проводку зажигания. При такой конфигурации каждая катушка (и впоследствии каждый цилиндр) подключается к одному каналу зажигания. 


![ign_4Cyl_COP_seq.png](/img/wiring/ign_4Cyl_COP_seq.png){.align-center width=500}

> Примечание: В приведенных выше примерах используются "умные" катушки со встроенными силовыми ключами. **НЕ** используйте обычные катушки (2 контакта) без использования модуля зажигания 
{.is-warning}

## Распределитель
Если вы оставляете распределитель, от ЭБУ используется только один выходной канал зажигания. Сигнал подаётся в одноканальный модуль зажигания (такой как общий Bosch 124), который генерирует импульс зажигания на катушку.
![ign_Basic-distributor.png](/img/wiring/ign_Basic-distributor.png){.align-center width=500}