---
title: Injector wiring
description: Wiring description and diagrams for fuel injectors
published: true
date: 2021-01-01T19:20:55.108Z
tags: 
editor: undefined
dateCreated: 2021-01-01T19:20:55.108Z
---

# Подключение форсунок
## Обзор
Speeduino содержит 4 цепи управления инжекторами и способна управлять до 8 форсунками (цилиндрами).

## Поддерживаемые форсунки
Speeduino поддерживает High-Z ('high-impedance' или 'saturated') форсунки напрямую. Low-Z форсунки поддерживаются с добавлением резисторов, соединенных последовательно с сигнальными проводами. High-Z как правило, форсунки с сопротивлением более 8 Ом.

Если "Low-Z" ("peak and hold" или PWM-управляемые) используются форсунки, которые имеют более низкий импеданс, для проводки потребуются последовательные резисторы на каждом форсунке, чтобы избежать повреждения платы избыточным током. Резисторы могут быть рассчитаны по закону Ома или использовать Интернет-калькулятор, например [Калькулятор сопротивления форсунок Speeduino](http://efistuff.orgfree.com/InjectorResistorCalculator.html).

## Расположения
Существует несколько способов подключения форсунок в зависимости от конфигурации и предпочтений.

### 1, 2 и 3 форсунки

Для этих конфигураций каждая форсунка подключается к собственному выходу платы Speeduino.

### 4 форсунки

Для 4 форсунок, существует 2 способа подключения к  Speeduino:

#### Способ 1 (Парный впрыск)

Стандартный метод аналогичен тому, который используется для 6 или 8 цилиндровых моторов, где по 2 форсунки соединены с каждым каналом инжекторов. В этой конфигурации будут использоваться только 2 канала инжекторов. Форсунки, спаренные вместе, должны иметь свои ВМТ смещенные на 360° друг относительно друга.

![inj_4Cyl_semi-seq.png](/img/wiring/inj_4Cyl_semi-seq.png){.align-center width=450}

#### Способ 2 (Последовательный впрыск)

Этот метод доступен только для 4 цилиндровых моторов и позволяет использовать по 1 форсунке на канал. Каналы инжектора работают в порядке (т.е. 1, 2, 3, 4), поэтому форсунки должны быть правильно подключены к проводам, чтобы учесть порядок впрыска. В Tuner Studio этот параметр можно включить, выбрав:

`Settings -> Engine Constants -> Injector Timing -> Sequential`

![inj_4Cyl_seq.png](/img/wiring/inj_4Cyl_seq.png){.align-center width=450}

> **Примечание:** Использование последовательного впрыска требует использования читаемого сигнала распредвала в дополнение к сигналу от коленвала. Если при выборе опции sequential не подается сигнал коленвала, то система не синхронизируется
{.is-warning}


### 5 форсунок

для 5 цилиндров должны быть подключены все 4 канала инжекторов с 2 входами, разделяющими выход\# 3. Для типичного порядка впрыска (1-2-4-5-3) форсунки 4 и 3 соединяются на выходе 3 канала.

### Больше чем 5 форсунок

Для более чем 4 форсунок количество используемых выходов будет равно половине числа форсунок.

#### 6 Цилиндров
![inj_6Cyl_semi-seq.png](/img/wiring/inj_6Cyl_semi-seq.png){.align-center width=450}

Для V6 с полядком работы (1,4,2,5,3,6) форсунки подключаются в 3 группы (1,5) (4,3) и (2,6) так как эти цилиндры смещенвы на 360 градусов друг от друга.

#### 8 Cylinder
![inj_8Cyl_semi-seq.png](/img/wiring/inj_8Cyl_semi-seq.png){.align-center width=450}

В соответствии с вышеизложенным, эта конфигурация требует, чтобы каждый канал инжекторов был соединен с 2 форсунками.
Форсунки должны быть сгруппированы в противоположные пары, то есть цилиндры, верхние мертвые центры которых отличаются на 360 градусов друг от друга.